GNU bug report logs - #14567
Scrolling of large images

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thomas Wiecki <thomas.wiecki@HIDDEN>; dated Thu, 6 Jun 2013 16:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 10 Jul 2013 21:33:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 17:33:20 2013
Received: from localhost ([127.0.0.1]:46058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ux20l-0001qH-Ja
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2013 17:33:20 -0400
Received: from mout.gmx.net ([212.227.15.18]:57620)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1Ux20j-0001pw-BD
 for 14567 <at> debbugs.gnu.org; Wed, 10 Jul 2013 17:33:18 -0400
Received: from rosalinde ([89.245.104.175]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0McmFl-1Uf5W81gdl-00Htm1; Wed, 10 Jul 2013 23:33:09
 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
 <87li5i9p10.fsf@HIDDEN> <83ip0lvtsx.fsf@HIDDEN>
 <8761wkaa9y.fsf@HIDDEN> <8338rnwtw0.fsf@HIDDEN>
 <8761wizrqv.fsf@HIDDEN> <83k3kyv0rc.fsf@HIDDEN>
Date: Wed, 10 Jul 2013 23:33:08 +0200
Message-ID: <87hag2je23.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:Q4Ib0xl7g0zhAUKCkJO+W+SHT0l+2pAljkvjxWIpQ6F/309aCxa
 3nvaX3vsL2e84K0CGNoEYMu51gvzVXVenG6ePJ6jFP6mW7DiiWLEkr0uPNrodFypQ4fITw5
 /m8oqhQFICS7rK28iFX1q13UdMqXOWbVkGw9zZG9Jr7v8djoq5Rr17dx3kDIC/IBrd++Jbn
 g2mIBXfYeLPGfsTBkm6pw==
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Wed, 10 Jul 2013 19:27:19 +0300 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: Dima Kogan <dima@HIDDEN>,  14567 <at> debbugs.gnu.org
>> Date: Wed, 10 Jul 2013 11:30:48 +0200
>> 
>> The changes in revision 113314 cause problems with repeated C-n:
>> 
>> 0. emacs -Q (any revision post 113313)
>> 1. C-h n to visit NEWS
>> 2. Type C-n and hold it.
>> => Scrolling starts out fine, but around line 270 (sometimes earlier) it
>> starts getting jerky and soon it appears to stop altogether, and only
>> after releasing the keys is the display updated.  From this point on,
>> holding down C-n shows this misbehavior.
>
> I cannot reproduce this, sorry, not with the above recipe.  I tried
> different fonts and different sizes of them, and never saw anything
> like this.  If in your case Emacs cannot keep up due to some high
> computational load (what does the CPU load say?), then I see no sign
> of that on my system when I scroll through NEWS.  If you do see a
> significant CPU load, please tell (in a new bug report, see below)
> what kind of CPU do you have and whether the problem disappears if you
> reduce the keyboard auto-repeat rate.
>
> If you still see this after revision 113360 (where I made changes in
> the same function as in 113314, although I think they are unrelated),
> please report a new bug for this, as the problem you describe has
> nothing to do whatsoever with this bug.  I will then try to give you
> instructions how to instrument line-move-partial and report the
> results.

I updated to revision 113360 and the behavior is worse: now holding down
C-n almost immediately fails to scroll until releasing the keys.  CPU
load goes quickly up to 95% (it also does so on my prior builds starting
with 113314, but not as quickly and only after ~270 lines of C-n'ing).
I've opened a new bug (#14838) with further details.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 10 Jul 2013 16:27:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 12:27:45 2013
Received: from localhost ([127.0.0.1]:45510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UwxF0-0000IN-U2
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2013 12:27:44 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:51433)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UwxEv-0000Hw-34
 for 14567 <at> debbugs.gnu.org; Wed, 10 Jul 2013 12:27:39 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MPQ00F00AZ1B700@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Wed, 10 Jul 2013 19:27:29 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPQ00FH7B1S0670@HIDDEN>;
 Wed, 10 Jul 2013 19:27:29 +0300 (IDT)
Date: Wed, 10 Jul 2013 19:27:19 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <8761wizrqv.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83k3kyv0rc.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
 <87li5i9p10.fsf@HIDDEN> <83ip0lvtsx.fsf@HIDDEN>
 <8761wkaa9y.fsf@HIDDEN> <8338rnwtw0.fsf@HIDDEN>
 <8761wizrqv.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org, dima@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: Dima Kogan <dima@HIDDEN>,  14567 <at> debbugs.gnu.org
> Date: Wed, 10 Jul 2013 11:30:48 +0200
> 
> The changes in revision 113314 cause problems with repeated C-n:
> 
> 0. emacs -Q (any revision post 113313)
> 1. C-h n to visit NEWS
> 2. Type C-n and hold it.
> => Scrolling starts out fine, but around line 270 (sometimes earlier) it
> starts getting jerky and soon it appears to stop altogether, and only
> after releasing the keys is the display updated.  From this point on,
> holding down C-n shows this misbehavior.

I cannot reproduce this, sorry, not with the above recipe.  I tried
different fonts and different sizes of them, and never saw anything
like this.  If in your case Emacs cannot keep up due to some high
computational load (what does the CPU load say?), then I see no sign
of that on my system when I scroll through NEWS.  If you do see a
significant CPU load, please tell (in a new bug report, see below)
what kind of CPU do you have and whether the problem disappears if you
reduce the keyboard auto-repeat rate.

If you still see this after revision 113360 (where I made changes in
the same function as in 113314, although I think they are unrelated),
please report a new bug for this, as the problem you describe has
nothing to do whatsoever with this bug.  I will then try to give you
instructions how to instrument line-move-partial and report the
results.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 10 Jul 2013 09:31:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 05:31:07 2013
Received: from localhost ([127.0.0.1]:44347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uwqjq-000067-LK
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2013 05:31:07 -0400
Received: from mout.gmx.net ([212.227.17.22]:60990)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1Uwqjo-00005Y-5G
 for 14567 <at> debbugs.gnu.org; Wed, 10 Jul 2013 05:31:04 -0400
Received: from rosalinde ([89.245.117.0]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0Me86g-1UYBVu3lJW-00PxEd; Wed, 10 Jul 2013 11:30:49
 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
 <87li5i9p10.fsf@HIDDEN> <83ip0lvtsx.fsf@HIDDEN>
 <8761wkaa9y.fsf@HIDDEN> <8338rnwtw0.fsf@HIDDEN>
Date: Wed, 10 Jul 2013 11:30:48 +0200
In-Reply-To: <8338rnwtw0.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 09 Jul
 2013 20:00:31 +0300")
Message-ID: <8761wizrqv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:l6945fu+27P+iqvcW0GbzsaUGtb1nU2AzXC9IO2/KIktGlx5kBV
 LB/gQG4aqwtR0d/gZic0vKaeRLDkENa4nLgjwwuoKqwlo3EEUm1ce63i+x7S235HCA/7o80
 3720IcDkA3Q43dUOQyoKkl/1b5vrm8GuKoO7nWabq/qLHs1RwK/DLbzGSVxu+UAY+i45W+z
 RmIf3Fzrvlc20a6V/rHxw==
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org, Dima Kogan <dima@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

The changes in revision 113314 cause problems with repeated C-n:

0. emacs -Q (any revision post 113313)
1. C-h n to visit NEWS
2. Type C-n and hold it.
=> Scrolling starts out fine, but around line 270 (sometimes earlier) it
starts getting jerky and soon it appears to stop altogether, and only
after releasing the keys is the display updated.  From this point on,
holding down C-n shows this misbehavior.  Reverting simple.el to
revision 113313 and rebuilding Emacs makes holding down C-n work fine
again.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 9 Jul 2013 17:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 13:01:09 2013
Received: from localhost ([127.0.0.1]:43052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UwbHo-0000s2-EI
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2013 13:01:08 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:57689)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>)
 id 1UwbHl-0000r9-6f; Tue, 09 Jul 2013 13:01:07 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MPO00900HW63F00@HIDDEN>;
 Tue, 09 Jul 2013 20:00:43 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPO008TAHX6Z020@HIDDEN>;
 Tue, 09 Jul 2013 20:00:43 +0300 (IDT)
Date: Tue, 09 Jul 2013 20:00:31 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <8761wkaa9y.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <8338rnwtw0.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
 <87li5i9p10.fsf@HIDDEN> <83ip0lvtsx.fsf@HIDDEN>
 <8761wkaa9y.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org, 14598-done <at> debbugs.gnu.org,
 6103-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Mon, 08 Jul 2013 16:42:49 -0700
> 
> I did a search for similar-sounding existing bugs, and apparently this
> issue has already been filed, so I didn't add to the pile:
> 
>  http://debbugs.gnu.org/6103
>  http://debbugs.gnu.org/6272
>  http://debbugs.gnu.org/14598

None of these are reproducible with the current trunk, so I guess my
latest changes fixed them all indirectly.  I'm closing them.

> My main test case now works perfectly. I can still make problems
> happen if I adjust the text size with C-x C-+.

I can't.  So please file a new bug report ;-)

> Loading emacs with the .emacs I mentioned in the original post about
> this and then pressing 'C-x C-+' 4 times, pressing C-n never results in
> a 50% screen scroll. At the bottom, C-n presses alternate between
> 
>  - scrolling down one line while keeping the point stationary

Stationary on screen, or stationary at the same buffer position?

>  - moving the point down one line normally.

What do the following report in each one of the 2 above-mentioned
situations, i.e. before C-n would scroll, and before it would move?

  M-: (pos-visible-in-window-p t nil t) RET
  M-: (posn-at-point) RET
  M-: (default-font-height) RET

> This sounds like http://debbugs.gnu.org/14598

No, it isn't, as that bug is already solved.  I guess it was easier
than I thought at the time.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jul 2013 23:42:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 19:42:57 2013
Received: from localhost ([127.0.0.1]:40449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UwL57-000097-B6
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2013 19:42:57 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:59382)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UwL54-00008u-GK
 for 14567 <at> debbugs.gnu.org; Mon, 08 Jul 2013 19:42:55 -0400
Received: from compute2.internal (compute2.nyi.mail.srv.osa [10.202.2.42])
 by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id 0753120F70
 for <14567 <at> debbugs.gnu.org>; Mon,  8 Jul 2013 19:42:51 -0400 (EDT)
Received: from frontend2.nyi.mail.srv.osa ([10.202.2.161])
 by compute2.internal (MEProxy); Mon, 08 Jul 2013 19:42:52 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:references:in-reply-to:date:message-id
 :mime-version:content-type; s=mesmtp; bh=u+KEMgFiDxx+WwsQmjrmw6i
 9Lvc=; b=pOcjrYgC8dQIYS1/Nlt2P4UZC/UkJ0Fv4e4cgwDliQbM04MwR+oZ2X2
 TweXpEq50I3MjDR/FhfvszLs3EZR2W3yQbb9PC8WJRSBftxErCubfbG3dJ63w7c0
 lL8KM2RQUenST8BMSkh5QKpr+uwLxtuafY8M+kfkYo/Y7r/rCySo=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=from:to:subject:references:in-reply-to
 :date:message-id:mime-version:content-type; s=smtpout; bh=u+KEMg
 FiDxx+WwsQmjrmw6i9Lvc=; b=LXODtcZT85ez/AGFRTniruKoxlABSPd1qc8nwe
 cBGyD/40SSSXhDtlTtDXmzkI7YpuNVGMV6xvDpwoMupY+S8SARiy3pe8S5KtUqRO
 dalGPeCMiglzPh26TZQsc+8BRJotch4A2P8VPYpEynb36C37TpBntk6v+HrDYDGN
 7fE1w=
X-Sasl-enc: Vf8N8OS1xrfucY49xzi8w/w+IVADBCgaz2fV6w+nrJHc 1373326970
Received: from shorty.local (unknown [76.169.247.77])
 by mail.messagingengine.com (Postfix) with ESMTPA id F1DB7680497
 for <14567 <at> debbugs.gnu.org>; Mon,  8 Jul 2013 19:42:50 -0400 (EDT)
Received: from dima by shorty.local with local (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UwL4z-0005Gs-GB
 for 14567 <at> debbugs.gnu.org; Mon, 08 Jul 2013 16:42:49 -0700
From: Dima Kogan <dima@HIDDEN>
To: 14567 <at> debbugs.gnu.org
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
 <87li5i9p10.fsf@HIDDEN> <83ip0lvtsx.fsf@HIDDEN>
User-agent: mu4e 0.9.9.5-dev6; emacs 24.3.50.1
In-reply-to: <83ip0lvtsx.fsf@HIDDEN>
Date: Mon, 08 Jul 2013 16:42:49 -0700
Message-ID: <8761wkaa9y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Dima Kogan <dima@HIDDEN>
>> Date: Sun, 07 Jul 2013 11:57:15 -0700
>> 
>> Hi Eli. With the latest trunk there's still a bit of sticking with
>> global-hl-line-move. I'm going to file a separate bug.
>
> Didn't see any new bug

I did a search for similar-sounding existing bugs, and apparently this
issue has already been filed, so I didn't add to the pile:

 http://debbugs.gnu.org/6103
 http://debbugs.gnu.org/6272
 http://debbugs.gnu.org/14598

>, but in the meantime I fixed a few more problems (trunk revision
>113327). Now I no longer see any "sticking" with the recipes I used. If
>you still see them, please describe exactly what you see, and tell
>which scroll-related options, if any, did you customize from their
>default values.

Thank you very much, Eli. My main test case now works perfectly. I can
still make problems happen if I adjust the text size with C-x C-+.

Loading emacs with the .emacs I mentioned in the original post about
this and then pressing 'C-x C-+' 4 times, pressing C-n never results in
a 50% screen scroll. At the bottom, C-n presses alternate between

 - scrolling down one line while keeping the point stationary
 - moving the point down one line normally.

This sounds like http://debbugs.gnu.org/14598 so maybe it's not
something to worry about here.

Thanks again





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jul 2013 17:36:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 13:36:24 2013
Received: from localhost ([127.0.0.1]:39933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UwFMO-0003Rg-Ih
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2013 13:36:24 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:52418)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UwFMM-0003RN-LZ
 for 14567 <at> debbugs.gnu.org; Mon, 08 Jul 2013 13:36:24 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MPM00B00OTGYG00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Mon, 08 Jul 2013 20:35:40 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPM00B0AOVGOW70@HIDDEN>;
 Mon, 08 Jul 2013 20:35:40 +0300 (IDT)
Date: Mon, 08 Jul 2013 20:35:26 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <87li5i9p10.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <83ip0lvtsx.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
 <87li5i9p10.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Sun, 07 Jul 2013 11:57:15 -0700
> 
> Hi Eli. With the latest trunk there's still a bit of sticking with
> global-hl-line-move. I'm going to file a separate bug.

Didn't see any new bug, but in the meantime I fixed a few more
problems (trunk revision 113327).  Now I no longer see any "sticking"
with the recipes I used.  If you still see them, please describe
exactly what you see, and tell which scroll-related options, if any,
did you customize from their default values.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 7 Jul 2013 18:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 07 14:57:28 2013
Received: from localhost ([127.0.0.1]:37674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uvu9G-0004wT-OG
	for submit <at> debbugs.gnu.org; Sun, 07 Jul 2013 14:57:27 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:40147)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1Uvu98-0004w8-7j
 for 14567 <at> debbugs.gnu.org; Sun, 07 Jul 2013 14:57:18 -0400
Received: from compute6.internal (compute6.nyi.mail.srv.osa [10.202.2.46])
 by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id 8016320783
 for <14567 <at> debbugs.gnu.org>; Sun,  7 Jul 2013 14:57:17 -0400 (EDT)
Received: from frontend1.nyi.mail.srv.osa ([10.202.2.160])
 by compute6.internal (MEProxy); Sun, 07 Jul 2013 14:57:17 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:references:in-reply-to:date:message-id
 :mime-version:content-type; s=mesmtp; bh=5OLwd8CrECE6NFQUMBoGtb3
 jR+Q=; b=VzOt+/iWRP7xGtNDrxXRwp3exVnY+f8gJfgERe8i4EFOA+n47ac8EBA
 n28H+b+/0SqwxJ24BR2sfvBjpcsek7NLkG+WMfbdA3fIRmcX0CX+oWzCBBwbMEvG
 3ITsXYsoBUvczQnlGTMahs4iIqIVAABSyXh7VUX2dX4H6UYAfr3I=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=from:to:subject:references:in-reply-to
 :date:message-id:mime-version:content-type; s=smtpout; bh=5OLwd8
 CrECE6NFQUMBoGtb3jR+Q=; b=p00+KlFq6bwo1cL/szvnVMlDKbPSdJLuU8XY4b
 kPVzyRILjmkTJFTsQ9Fs9LeHF6oVWolEKya8fL6TIvZW/YOfIuzzzJvleWgczJzI
 aa93S8r28SNspBVLtBE7c9p/cpmilJLXpoddHl0YFaCFiwl3TEx256jWl1GWrtx5
 3zcL0=
X-Sasl-enc: JsQ5Wj5T1UZH1XodTXSXVlV7/12JkayhY99QVsgnD7me 1373223437
Received: from shorty.local (unknown [76.169.247.77])
 by mail.messagingengine.com (Postfix) with ESMTPA id 45638C00E80
 for <14567 <at> debbugs.gnu.org>; Sun,  7 Jul 2013 14:57:17 -0400 (EDT)
Received: from dima by shorty.local with local (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1Uvu96-0002BI-2A
 for 14567 <at> debbugs.gnu.org; Sun, 07 Jul 2013 11:57:16 -0700
From: Dima Kogan <dima@HIDDEN>
To: 14567 <at> debbugs.gnu.org
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN> <83wqp2wep6.fsf@HIDDEN>
User-agent: mu4e 0.9.9.5-dev6; emacs 24.3.50.1
In-reply-to: <83wqp2wep6.fsf@HIDDEN>
Date: Sun, 07 Jul 2013 11:57:15 -0700
Message-ID: <87li5i9p10.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Dima Kogan <dima@HIDDEN>
>> Date: Sat, 06 Jul 2013 21:46:36 -0700
>> 
>> It does seem like a bug to me that the sticking happens at all,
>> especially given that it depends on global-hl-line-mode. Should I file a
>> separate bug for that?
>
> Yes, definitely, as this is a very old problem.  But before you do,
> please try the latest trunk, where revision 113314 attempts to make
> scrolling in this case even more smooth.  If you think the result is
> acceptable, there's no need for a bug report.

Hi Eli. With the latest trunk there's still a bit of sticking with
global-hl-line-move. I'm going to file a separate bug.

Thanks again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 7 Jul 2013 15:52:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 07 11:52:19 2013
Received: from localhost ([127.0.0.1]:37467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvrG7-0005Cs-EB
	for submit <at> debbugs.gnu.org; Sun, 07 Jul 2013 11:52:19 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:41621)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UvrG4-0005CY-Mp
 for 14567 <at> debbugs.gnu.org; Sun, 07 Jul 2013 11:52:17 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MPK00400P7LWC00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sun, 07 Jul 2013 18:51:50 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPK0041FPEDHIC0@HIDDEN>;
 Sun, 07 Jul 2013 18:51:50 +0300 (IDT)
Date: Sun, 07 Jul 2013 18:51:49 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <87mwpz9dub.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <83wqp2wep6.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
 <87mwpz9dub.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Sat, 06 Jul 2013 21:46:36 -0700
> 
> > Don't you see the same in Emacs 24.3?  If so, the changes that were
> > done to allow smoother scrolling of tall images are no longer
> > responsible.
> 
> Aha. It does seem like the behavior before the changes introduced by
> this bug and the behavior after your new patch are very similar. Thanks!
> 
> It does seem like a bug to me that the sticking happens at all,
> especially given that it depends on global-hl-line-mode. Should I file a
> separate bug for that?

Yes, definitely, as this is a very old problem.  But before you do,
please try the latest trunk, where revision 113314 attempts to make
scrolling in this case even more smooth.  If you think the result is
acceptable, there's no need for a bug report.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 7 Jul 2013 04:46:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 07 00:46:43 2013
Received: from localhost ([127.0.0.1]:36043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uvgry-0006MP-Ji
	for submit <at> debbugs.gnu.org; Sun, 07 Jul 2013 00:46:43 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:45722)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1Uvgrv-0006MF-52
 for 14567 <at> debbugs.gnu.org; Sun, 07 Jul 2013 00:46:40 -0400
Received: from compute2.internal (compute2.nyi.mail.srv.osa [10.202.2.42])
 by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id 5ED5220E70
 for <14567 <at> debbugs.gnu.org>; Sun,  7 Jul 2013 00:46:38 -0400 (EDT)
Received: from frontend1.nyi.mail.srv.osa ([10.202.2.160])
 by compute2.internal (MEProxy); Sun, 07 Jul 2013 00:46:38 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:references:in-reply-to:date:message-id
 :mime-version:content-type; s=mesmtp; bh=u7GAfFTzz4lg30tHF8cAB0Z
 LPzM=; b=MvMVW3TPhaB8cvw/6Kay3AEfLDlb4biqmAjB/uClGKeSlQjpR2Aj+ej
 8jzLn4YRayk5k9V/NudD5+2C6TJFqOqYc5mBjmoGzbTIHhqpa+uo2VKcL+STPOxJ
 8RjbLYowmLOV28Jks/WP6JKPrKOMoq8OfsY6rvqAzmhVrCpR0PVY=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=from:to:subject:references:in-reply-to
 :date:message-id:mime-version:content-type; s=smtpout; bh=u7GAfF
 Tzz4lg30tHF8cAB0ZLPzM=; b=JakDYi+tLve8cw1Mp1z4PAaYS82YPVVyc3YjRz
 g6NHQVRBOiRVBHeW6uUju6zGfMi5He8jZ+HzjpcTNhxF/UsyTuxMrvdll5I0q/P6
 ePl3upEBaI93+N5IqVdpRP/Rn3K+pf/OWbJpmKiQn3VE9/XO4v4qOgzC5MGe7JoI
 woyOk=
X-Sasl-enc: yuccS6td8S76DfmX04U0qwtzVCAjE50hZqR8K96Hhm0b 1373172398
Received: from shorty.local (unknown [76.169.247.77])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1D226C00E7F
 for <14567 <at> debbugs.gnu.org>; Sun,  7 Jul 2013 00:46:38 -0400 (EDT)
Received: from dima by shorty.local with local (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1Uvgrs-0000qt-HX
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 21:46:36 -0700
From: Dima Kogan <dima@HIDDEN>
To: 14567 <at> debbugs.gnu.org
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN> <83y59jw0eh.fsf@HIDDEN>
User-agent: mu4e 0.9.9.5-dev6; emacs 24.3.50.1
In-reply-to: <83y59jw0eh.fsf@HIDDEN>
Date: Sat, 06 Jul 2013 21:46:36 -0700
Message-ID: <87mwpz9dub.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Dima Kogan <dima@HIDDEN>
>> Date: Sat, 06 Jul 2013 14:51:07 -0700
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> > Please try the latest trunk and see if the problem with that font and
>> > global-hl-line-mode is solved.
>> 
>> I applied this patch:
>> 
>>  http://git.savannah.gnu.org/cgit/emacs.git/diff/?id=daec5594cd21e30469f2a489875a89c8e931bee9
>> 
>> and tried again. It's better, but not 100% fixed yet. The previous
>> behavior of sticking until scrolling was no longer possible is now
>> replaced with sticking for a few presses of C-n. As before, turning off
>> global-hl-line-mode fixes it. Let me know what I can do to help debug.
>
> Don't you see the same in Emacs 24.3?  If so, the changes that were
> done to allow smoother scrolling of tall images are no longer
> responsible.

Aha. It does seem like the behavior before the changes introduced by
this bug and the behavior after your new patch are very similar. Thanks!

It does seem like a bug to me that the sticking happens at all,
especially given that it depends on global-hl-line-mode. Should I file a
separate bug for that?

Thanks again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 7 Jul 2013 02:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 22:48:31 2013
Received: from localhost ([127.0.0.1]:35913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uvf1b-0001Vs-BR
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 22:48:31 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:50053)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Uvf1Z-0001Ve-2H
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 22:48:29 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MPJ00D00P1RYN00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sun, 07 Jul 2013 05:48:22 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPJ00D46P4MPXC0@HIDDEN>;
 Sun, 07 Jul 2013 05:48:22 +0300 (IDT)
Date: Sun, 07 Jul 2013 05:48:22 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <87obaf9x2s.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <83y59jw0eh.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
 <87obaf9x2s.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Sat, 06 Jul 2013 14:51:07 -0700
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Please try the latest trunk and see if the problem with that font and
> > global-hl-line-mode is solved.
> 
> I applied this patch:
> 
>  http://git.savannah.gnu.org/cgit/emacs.git/diff/?id=daec5594cd21e30469f2a489875a89c8e931bee9
> 
> and tried again. It's better, but not 100% fixed yet. The previous
> behavior of sticking until scrolling was no longer possible is now
> replaced with sticking for a few presses of C-n. As before, turning off
> global-hl-line-mode fixes it. Let me know what I can do to help debug.

Don't you see the same in Emacs 24.3?  If so, the changes that were
done to allow smoother scrolling of tall images are no longer
responsible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jul 2013 21:51:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 17:51:14 2013
Received: from localhost ([127.0.0.1]:35580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvaNt-0007Ca-DL
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 17:51:13 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:57848)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UvaNq-0007CS-VX
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 17:51:11 -0400
Received: from compute3.internal (compute3.nyi.mail.srv.osa [10.202.2.43])
 by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id C99D720A48
 for <14567 <at> debbugs.gnu.org>; Sat,  6 Jul 2013 17:51:09 -0400 (EDT)
Received: from frontend2.nyi.mail.srv.osa ([10.202.2.161])
 by compute3.internal (MEProxy); Sat, 06 Jul 2013 17:51:09 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:references:in-reply-to:date:message-id
 :mime-version:content-type; s=mesmtp; bh=JVy/6b/1XpK9akextSWWXoB
 evNY=; b=ASyzOKrWcOyz2IUDRvTZ+QitzuA09WUKMP7g8vD6oYFJLwy05w5mYJI
 S6BsQH6NxvGCGUXldODAbJz19eW6EXs6Q4yrb4SOrgHtO+uupKYF1m8Zbq4cPETV
 lWbkkJdxDQ5dXmfYy0evRJfRA6Z7C7F0f+ALYRmnTTgSYWUDNkTI=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=from:to:subject:references:in-reply-to
 :date:message-id:mime-version:content-type; s=smtpout; bh=JVy/6b
 /1XpK9akextSWWXoBevNY=; b=RYwwfNvZpNezP5TV+mH/fwP+pi0LeeRVYrtUU3
 jJSTPlzNOIvXm0hFMuZ4sVdv5yjqDcnYddCRd29A6rRFL8rw8hcUUbHT7G0xBCdy
 sVoGecNz9HEyI2fxTL3L5GggMxlxgMRAjKLjQ1m0FkDktxtO1SPZtmARkihQ4inC
 8L1Aw=
X-Sasl-enc: vz2ZCaO9cDvxSZdoDdllU7UlSGjo4zuzl+6yGtH0z3Vs 1373147469
Received: from shorty.local (unknown [76.169.247.77])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8D31F680279
 for <14567 <at> debbugs.gnu.org>; Sat,  6 Jul 2013 17:51:09 -0400 (EDT)
Received: from dima by shorty.local with local (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UvaNo-0007Ra-EB
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 14:51:08 -0700
From: Dima Kogan <dima@HIDDEN>
To: 14567 <at> debbugs.gnu.org
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN> <837gh3y4b1.fsf@HIDDEN>
User-agent: mu4e 0.9.9.5-dev6; emacs 24.3.50.1
In-reply-to: <837gh3y4b1.fsf@HIDDEN>
Date: Sat, 06 Jul 2013 14:51:07 -0700
Message-ID: <87obaf9x2s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Please try the latest trunk and see if the problem with that font and
> global-hl-line-mode is solved.

I applied this patch:

 http://git.savannah.gnu.org/cgit/emacs.git/diff/?id=daec5594cd21e30469f2a489875a89c8e931bee9

and tried again. It's better, but not 100% fixed yet. The previous
behavior of sticking until scrolling was no longer possible is now
replaced with sticking for a few presses of C-n. As before, turning off
global-hl-line-mode fixes it. Let me know what I can do to help debug.

Thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jul 2013 17:41:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 13:41:18 2013
Received: from localhost ([127.0.0.1]:35115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvWU2-0004Ob-0X
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 13:41:18 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:46203)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UvWTy-0004OE-TJ
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 13:41:16 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MPI00C00ZOZ8700@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sat, 06 Jul 2013 20:41:08 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPI00BTRZSJVZB0@HIDDEN>;
 Sat, 06 Jul 2013 20:41:08 +0300 (IDT)
Date: Sat, 06 Jul 2013 20:41:06 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <87ppuvacnf.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <837gh3y4b1.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
 <87ppuvacnf.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Sat, 06 Jul 2013 09:14:44 -0700
> 
> First off, there was a very important brain fart in what I just said. I
> meant C-n/C-p instead of C-f/C-b everywhere in this bug report. Oops.

Ah!  That changes everything.

> I suspect this is font-dependent because it has something to do with the
> pixel height of the font text. Can you reproduce by keeping whaever font
> you're using and pressing C-x C-+ a few times? As I described earlier
> this usually sticks the point for only a few C-n presses, but it's
> probably the same issue.

I see something, but I'm not sure it's the same problem as what you
see.  Please try the latest trunk and see if the problem with that
font and global-hl-line-mode is solved.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jul 2013 16:14:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 12:14:50 2013
Received: from localhost ([127.0.0.1]:34889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvV8L-0005wo-OD
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 12:14:50 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:44527)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UvV8J-0005we-GP
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 12:14:48 -0400
Received: from compute5.internal (compute5.nyi.mail.srv.osa [10.202.2.45])
 by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id E102B20BEB
 for <14567 <at> debbugs.gnu.org>; Sat,  6 Jul 2013 12:14:45 -0400 (EDT)
Received: from frontend1.nyi.mail.srv.osa ([10.202.2.160])
 by compute5.internal (MEProxy); Sat, 06 Jul 2013 12:14:45 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:references:in-reply-to:date:message-id
 :mime-version:content-type; s=mesmtp; bh=A/KZVbLc12UY5BqNa0liyba
 Npyk=; b=CKJwcwiP5T9IAQiciPVLtnln8whok3lC5DNhCxB0+D3SmcKaspNg3qy
 0WLYPS4eAyboDofa4+hEXNz8hjdKJ/9TAst2LMmWSgQICa9PuyULYFNv0J93nCdP
 oR3x5Ob+6A0gioo/YVlZrD+Rn+kae9/h4ne10cGT12zAUya6f2yg=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=from:to:subject:references:in-reply-to
 :date:message-id:mime-version:content-type; s=smtpout; bh=A/KZVb
 Lc12UY5BqNa0liybaNpyk=; b=SlizZ2T8lu7byHqlB1nx8UzO5K369AVokJTp7C
 4/2vJFNAcgmZNRH/lfXPnhVRJfwSsxU/zESh9dpHnf1tQG2KEq28rQeh+xmfeOq/
 8kJjEX+rYO07CjE3sm2Q9kEwd2m33WAf4Bdjl9SRP3Hg9qBsdeea3BwAmIihsPwF
 jMcGs=
X-Sasl-enc: 6qZAs3UqRu+0Yk83dMAVvvfE9OhrVdYTJYwNasb079uZ 1373127285
Received: from shorty.local (unknown [76.169.247.77])
 by mail.messagingengine.com (Postfix) with ESMTPA id A2B16C00E83
 for <14567 <at> debbugs.gnu.org>; Sat,  6 Jul 2013 12:14:45 -0400 (EDT)
Received: from dima by shorty.local with local (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UvV8G-0006xq-6c
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 09:14:44 -0700
From: Dima Kogan <dima@HIDDEN>
To: 14567 <at> debbugs.gnu.org
Subject: Re: bug#14567: These changes sometimes break plain text navigation
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN> <83ppuwx86k.fsf@HIDDEN>
User-agent: mu4e 0.9.9.5-dev6; emacs 24.3.50.1
In-reply-to: <83ppuwx86k.fsf@HIDDEN>
Date: Sat, 06 Jul 2013 09:14:44 -0700
Message-ID: <87ppuvacnf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Dima Kogan <dima@HIDDEN>
>> Date: Sat, 06 Jul 2013 02:02:16 -0700
>> 
>> 2. Press C-f repeatedly until the point reaches the bottom of the
>>    screen; this works fine
>> 
>> 3. When at the bottom of the screen C-f scrolls the text one line up,
>>    while keeping the point where it was in the buffer. Now the point
>>    gets stuck, and subsequent C-f/C-b just scroll the screen; the point
>>    is stuck.
>
> You mean, "C-x =" reports the same value no matter how many times you
> press C-f or C-b?

First off, there was a very important brain fart in what I just said. I
meant C-n/C-p instead of C-f/C-b everywhere in this bug report. Oops.
This was probably the worst way to mess up this bug report. Hopefully it
makes a bit more sense now. Sorry.

C-x = does report the same value with C-n/C-p pressed as long as there
is room to scroll; if we're already looking at the start of the
document, then C-p does the normal unbugged thing, since it can't scroll
back any further.


> Moreover, the changes in this bug report are not supposed to affect
> C-f/C-b in any way.  If you revert the changes in simple.el introduced
> in revision 112998, does this problem go away?

Like I said above, I badly flubbed the report; it's actually about
C-n/C-p. And yes; reverting that revision makes things work again.


> Does any file reproduces the problem, or only some?  E.g., does
> xdisp.c from the Emacs sources reproduce it?

Any file does it. I use the output of `seq 1000`, which is not very
special.


> Is the last line only partially visible, per chance?

No. The edge of the buffer looks like it aligns with the bottom edge of
the last line of text, at least to my eye. If I mess with the displayed
text more by pressing C-x C-+ several times then the last line IS only
partially visible. Then I get the same point-getting-stuck behavior, but
it recovers after a handful of scroll-only C-n presses. The exact number
depends on window size, font size, how many times C-x C-+ was pressed,
etc.


> If you set auto-window-vscroll to nil, does the problem still happen?

No. That fixes it.


>> This is 100% reproducible for me. I suspect it may not be so for others.
>> Let me know if I should run any specific tests to get to the bottom of
>> this.
>
> Well, not being dependent on a particular font would be a start.  An
> easier reproducing recipe would be even better.

I suspect this is font-dependent because it has something to do with the
pixel height of the font text. Can you reproduce by keeping whaever font
you're using and pressing C-x C-+ a few times? As I described earlier
this usually sticks the point for only a few C-n presses, but it's
probably the same issue.


I just did some minor debugging by adding a trace to
(window-line-height) with (trace-function-background). If I turn off
global-hl-line-mode, then the bug goes away, and (window-line-height)
appears to return reasonable values. With global-hl-line-mode,
(window-line-height) and (window-line-height -1) both return nil
supposedly. Not sure how line-move-partial could keep working without
error in that case, but that's what it says.


> Thanks.

Thank YOU!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jul 2013 11:03:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 07:03:40 2013
Received: from localhost ([127.0.0.1]:33799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvQHE-0007L3-AX
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 07:03:40 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:58890)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UvQHB-0007KY-Mx
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 07:03:38 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MPI00800H4E4M00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sat, 06 Jul 2013 14:02:45 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MPI007J7HCK5QD0@HIDDEN>;
 Sat, 06 Jul 2013 14:02:45 +0300 (IDT)
Date: Sat, 06 Jul 2013 14:02:43 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: These changes sometimes break plain text navigation
In-reply-to: <87r4fc9i3r.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <83ppuwx86k.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <87r4fc9i3r.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Sat, 06 Jul 2013 02:02:16 -0700
> 
> 2. Press C-f repeatedly until the point reaches the bottom of the
>    screen; this works fine
> 
> 3. When at the bottom of the screen C-f scrolls the text one line up,
>    while keeping the point where it was in the buffer. Now the point
>    gets stuck, and subsequent C-f/C-b just scroll the screen; the point
>    is stuck.

You mean, "C-x =" reports the same value no matter how many times you
press C-f or C-b?

> The bug requires particular .emacs settings. I wittled it down to this:
> 
> (custom-set-variables
>  '(default-frame-alist
>     '((font . "-adobe-courier-medium-r-normal--14-100-100-100-m-90-iso8859-1")))
>  '(inhibit-startup-screen t))
> 
> (global-hl-line-mode)

Thanks, but I cannot follow this recipe, since I don't have that font.
And with a few other fonts I tried, I cannot reproduce the problem.

Moreover, the changes in this bug report are not supposed to affect
C-f/C-b in any way.  If you revert the changes in simple.el introduced
in revision 112998, does this problem go away?

Does any file reproduces the problem, or only some?  E.g., does
xdisp.c from the Emacs sources reproduce it?  If not, what is special
about the files you use to reproduce the problem?  Is the last line
only partially visible, per chance?  If you set auto-window-vscroll to
nil, does the problem still happen?

> This is 100% reproducible for me. I suspect it may not be so for others.
> Let me know if I should run any specific tests to get to the bottom of
> this.

Well, not being dependent on a particular font would be a start.  An
easier reproducing recipe would be even better.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jul 2013 09:02:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 05:02:23 2013
Received: from localhost ([127.0.0.1]:33621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvONr-0001aC-1S
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 05:02:23 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:35501)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UvONn-0001Zj-JC
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 05:02:20 -0400
Received: from compute5.internal (compute5.nyi.mail.srv.osa [10.202.2.45])
 by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id F007920989
 for <14567 <at> debbugs.gnu.org>; Sat,  6 Jul 2013 05:02:18 -0400 (EDT)
Received: from frontend2.nyi.mail.srv.osa ([10.202.2.161])
 by compute5.internal (MEProxy); Sat, 06 Jul 2013 05:02:18 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:date:message-id:mime-version:content-type; s=
 mesmtp; bh=YaW4WIld5OoBod3htog9Cze9vbc=; b=Zf/jlnLQC+HC5Tp+gA2AJ
 FfNGsZaFp53eRpyQ3pht/sc0lPBJh3Zt56woCf0sRiFu+MdXRLnPmkHhozN7iZ+L
 5jYkQ/AwuXkPwqib2+qdQXbOzQQwT8zo9h2PJza7lWISwddpjkg56TSiXZj791/m
 mwrvFdZLm4GLW+0QOn4URw=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=from:to:subject:date:message-id
 :mime-version:content-type; s=smtpout; bh=YaW4WIld5OoBod3htog9Cz
 e9vbc=; b=GeiY4eDTzE7zeov5iuU156RkJVkfwd+8TdNYK1kVcC2kzOrSvQ/nWt
 YSvaXVU8dGLGbaiEjNbrGbEChFcXXvGja+dedN5eNeNA3VvjBrHe4g/qpBAcJ16c
 NTmAw3AWkzIlma3QfP8hguhnq+mEn2vuAeHiRmuqymnzuuNcCC5BI=
X-Sasl-enc: pGkS99AdqSFo7PhwLHlmkXoWuFWQRQPFXv3mQrhVbW3f 1373101338
Received: from shorty.local (unknown [76.169.247.77])
 by mail.messagingengine.com (Postfix) with ESMTPA id AE85A680279
 for <14567 <at> debbugs.gnu.org>; Sat,  6 Jul 2013 05:02:18 -0400 (EDT)
Received: from dima by shorty.local with local (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1UvONl-000691-4g
 for 14567 <at> debbugs.gnu.org; Sat, 06 Jul 2013 02:02:17 -0700
From: Dima Kogan <dima@HIDDEN>
To: 14567 <at> debbugs.gnu.org
Subject: These changes sometimes break plain text navigation
User-agent: mu4e 0.9.9.5-dev6; emacs 24.3.50.1
Date: Sat, 06 Jul 2013 02:02:16 -0700
Message-ID: <87r4fc9i3r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi. I'm seeing the patches meant to address this bug break plain-text
scrolling. I'm reporting this new issue here, since it seems on-topic.
I'm running a close-to-HEAD emacs on a Debian box. The most recent
change to simple.el is this:

http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/simple.el?id=a7484019a30de380087389ccc8e5b0d0b8dae290

I'm observing that under some specific conditions (ones that my .emacs
just happens to hit) C-f can get stuck scrolling text instead of going
to the next line. To make the bug happen, I do this:

1. Load a text file. This is plain ASCII. No images or unicode or
   anything interesting. A nice test case is the output of 'seq 1000'

2. Press C-f repeatedly until the point reaches the bottom of the
   screen; this works fine

3. When at the bottom of the screen C-f scrolls the text one line up,
   while keeping the point where it was in the buffer. Now the point
   gets stuck, and subsequent C-f/C-b just scroll the screen; the point
   is stuck.


The bug requires particular .emacs settings. I wittled it down to this:

(custom-set-variables
 '(default-frame-alist
    '((font . "-adobe-courier-medium-r-normal--14-100-100-100-m-90-iso8859-1")))
 '(inhibit-startup-screen t))

(global-hl-line-mode)


The inhibit-startup-screen is there to be nicer; may not be required for
the bug. The (global-hl-line-mode) is significant. The bug doesn't
happen without it. That font is significant also. Other fonts seem to
work without the bug. I suspect the window sizes are significant as
well. I can see the bug if I launch 'emacs -geometry 30x30'. The
width/height of the emacs window as reported by xwininfo is then
308x455.

This is 100% reproducible for me. I suspect it may not be so for others.
Let me know if I should run any specific tests to get to the bottom of
this.

Thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 19 Jun 2013 06:44:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 19 02:44:27 2013
Received: from localhost ([127.0.0.1]:54529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UpC82-00061y-9e
	for submit <at> debbugs.gnu.org; Wed, 19 Jun 2013 02:44:26 -0400
Received: from mail-ea0-f178.google.com ([209.85.215.178]:43113)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1UpC7y-00061Z-Aq
 for 14567 <at> debbugs.gnu.org; Wed, 19 Jun 2013 02:44:22 -0400
Received: by mail-ea0-f178.google.com with SMTP id l15so2956995eak.37
 for <14567 <at> debbugs.gnu.org>; Tue, 18 Jun 2013 23:44:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=GkQAjRyr8z1QHoYr4IZn8d4AndREdyZJCfozRrjuOfE=;
 b=xAr+H/AMIW0gCIYPNqHpjeFOuWbrIzIYWjHa8MQWJBPAfrB7a9Sc4rAQpTeAkmOmYs
 uIz8Dh7nnb9E9js9qHmHf1II8xt8N63KtPC9K28N5vObMW8z1IlwETP4B7kUv1EbUube
 Pzt4pz7Y7No4Cmjduz54HkW4TDYj/u41D4Pl5K/6otU2a2/e1SZS4EnnvMsZsDsNuKSD
 V6QaGg5Kq4p5zH9Rmb9+mMuoKn7OUoWqmVxjvoWdXwukCXK9QTXKaNO4/cKiSqco7L80
 Aht/9FG7XHICdWM99m2hGO+k4YAvB3vcMqYC0EtgM8aFAhTTyTiheX10K/TyXZCpbS1T
 5fUg==
X-Received: by 10.14.219.2 with SMTP id l2mr57850eep.109.1371624256447;
 Tue, 18 Jun 2013 23:44:16 -0700 (PDT)
Received: from dell-14z ([37.161.16.51])
 by mx.google.com with ESMTPSA id m1sm34859459eex.17.2013.06.18.23.44.11
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Tue, 18 Jun 2013 23:44:15 -0700 (PDT)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Organization: Emacs Helm
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN>
 <837ghvv94e.fsf@HIDDEN> <87ip1epqkj.fsf@HIDDEN>
 <87txky60j2.fsf@HIDDEN> <83li6at45l.fsf@HIDDEN>
 <87bo755o7i.fsf@HIDDEN> <8338sgu5v7.fsf@HIDDEN>
 <87zjuny7mg.fsf@HIDDEN> <83a9mns8h0.fsf@HIDDEN>
Date: Wed, 19 Jun 2013 08:43:58 +0200
In-Reply-To: <83a9mns8h0.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 18 Jun
 2013 19:13:15 +0300")
Message-ID: <878v2661n5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Fascinating.  Do you perhaps turn on image-mode manually?

No.

> What I did was visit an image file with "C-x C-f".

Me too.

I will keep in my .emacs:

(add-hook 'image-mode-hook #'(lambda () (set (make-variable-buffer-local
'auto-hscroll-mode) nil)))

until it is fixed.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 18 Jun 2013 16:13:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 18 12:13:22 2013
Received: from localhost ([127.0.0.1]:53401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UoyX3-0007NH-L7
	for submit <at> debbugs.gnu.org; Tue, 18 Jun 2013 12:13:22 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:38521)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UoyWy-0007Mz-QY
 for 14567 <at> debbugs.gnu.org; Tue, 18 Jun 2013 12:13:18 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MOL00J00JOZL500@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Tue, 18 Jun 2013 19:13:10 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOL00I3RJPYZCC0@HIDDEN>;
 Tue, 18 Jun 2013 19:13:10 +0300 (IDT)
Date: Tue, 18 Jun 2013 19:13:15 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <87zjuny7mg.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Message-id: <83a9mns8h0.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN> <837ghvv94e.fsf@HIDDEN>
 <87ip1epqkj.fsf@HIDDEN> <87txky60j2.fsf@HIDDEN>
 <83li6at45l.fsf@HIDDEN> <87bo755o7i.fsf@HIDDEN> <8338sgu5v7.fsf@HIDDEN>
 <87zjuny7mg.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> Cc: 14567 <at> debbugs.gnu.org
> Date: Tue, 18 Jun 2013 13:35:03 +0200
> 
> > Horizontal scrolling works just fine for me without any changes, when
> > I visit an image file (which automatically puts the buffer into
> > image-mode).  If this is the use case you were talking about, then our
> > observations don't match.
> 
> They don't match, it is not working for me.

Fascinating.  Do you perhaps turn on image-mode manually?  What I did
was visit an image file with "C-x C-f".

> > The challenge is to support that in other modes.
> 
> I understood this, but it should be fixed first in image-mode (which is trivial).

I don't see how image-mode is related to the issue at hand.  We want
horizontal scrolling in any mode that displays an embedded image.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 18 Jun 2013 11:35:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 18 07:35:30 2013
Received: from localhost ([127.0.0.1]:52500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UouCA-0002nF-Hp
	for submit <at> debbugs.gnu.org; Tue, 18 Jun 2013 07:35:30 -0400
Received: from mail-ea0-f180.google.com ([209.85.215.180]:47672)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1UouC7-0002mi-5b
 for 14567 <at> debbugs.gnu.org; Tue, 18 Jun 2013 07:35:28 -0400
Received: by mail-ea0-f180.google.com with SMTP id k10so2477858eaj.25
 for <14567 <at> debbugs.gnu.org>; Tue, 18 Jun 2013 04:35:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=GQfKghpFdmusn5MSwFzFgVcidhrjpS411Feg5aOyC40=;
 b=iXwzQtel8pytsKSk2PWJHWWl8Ynul7p0r3auCVARKgHJxQYBRMOH3J78cK/826rFPy
 IFzdmvFVWyjHbhR9a4vxUtrSoLIplTLHGe3bnZdCZqFb71+lzOUYqy6i2hMETJ73HOoq
 jmm+fI23vBv+vm6gREu3oYJIBq/PASAXD2yfvfKE/kN6LE7bCQ5/ov6P8C3OR7RYE5H3
 kticwYu7gCs+FpZXEC00xbLkzOwkihzY/DC8dYQ1Vc+gvshJqPtfcZVofk+arvKhCARO
 q3tAVA39q+sACgMATuu9NvqGh1mVrIUMAQzYHdbCqQIfalstX4OXDioevbxxzQYAZ88t
 V4LA==
X-Received: by 10.15.63.1 with SMTP id l1mr21805089eex.6.1371555320999;
 Tue, 18 Jun 2013 04:35:20 -0700 (PDT)
Received: from dell-14z ([37.160.21.156])
 by mx.google.com with ESMTPSA id b7sm29911198eef.16.2013.06.18.04.35.18
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Tue, 18 Jun 2013 04:35:20 -0700 (PDT)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Organization: Emacs Helm
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN>
 <837ghvv94e.fsf@HIDDEN> <87ip1epqkj.fsf@HIDDEN>
 <87txky60j2.fsf@HIDDEN> <83li6at45l.fsf@HIDDEN>
 <87bo755o7i.fsf@HIDDEN> <8338sgu5v7.fsf@HIDDEN>
Date: Tue, 18 Jun 2013 13:35:03 +0200
In-Reply-To: <8338sgu5v7.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 17 Jun
 2013 18:14:20 +0300")
Message-ID: <87zjuny7mg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>> Cc: 14567 <at> debbugs.gnu.org
>> Date: Mon, 17 Jun 2013 06:57:21 +0200
>> 
>> > I'm confused: didn't you want C-f/C-b and the arrows to scroll images
>> > in modes other than image-mode?  I mentioned image-mode only as
>> > example of usage of set-window-hscroll, since image-mode already binds
>> > the movement keys to a command that scrolls the image horizontally.
>> Which command?
>
> This one:
>
>> I see that forward-char is remapped to image-forward-hscroll and same
>> for backward-char
>
>
>> but it is not working because auto-hscroll-mode is
>> not set correctly. 
>
> Horizontal scrolling works just fine for me without any changes, when
> I visit an image file (which automatically puts the buffer into
> image-mode).  If this is the use case you were talking about, then our
> observations don't match.

They don't match, it is not working for me.

>> > If so, why are you suggesting changes to image-mode?
>> To allow navigation with C-f/b and left/right which is not working actually. 
>
> They do for me, in image-mode.

It is not working for me without the changes I sent:

C-f is going straight to the right edge of the image, and C-b is doing nothing.

> The challenge is to support that in other modes.

I understood this, but it should be fixed first in image-mode (which is trivial).

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 17 Jun 2013 15:14:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 11:14:28 2013
Received: from localhost ([127.0.0.1]:50840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uob8V-0003oM-Mv
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2013 11:14:27 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:43190)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Uob8T-0003nt-LO
 for 14567 <at> debbugs.gnu.org; Mon, 17 Jun 2013 11:14:26 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MOJ00600M6AXB00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Mon, 17 Jun 2013 18:14:19 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOJ0068OMBULWD0@HIDDEN>;
 Mon, 17 Jun 2013 18:14:18 +0300 (IDT)
Date: Mon, 17 Jun 2013 18:14:20 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <87bo755o7i.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Message-id: <8338sgu5v7.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN> <837ghvv94e.fsf@HIDDEN>
 <87ip1epqkj.fsf@HIDDEN> <87txky60j2.fsf@HIDDEN>
 <83li6at45l.fsf@HIDDEN> <87bo755o7i.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> Cc: 14567 <at> debbugs.gnu.org
> Date: Mon, 17 Jun 2013 06:57:21 +0200
> 
> > I'm confused: didn't you want C-f/C-b and the arrows to scroll images
> > in modes other than image-mode?  I mentioned image-mode only as
> > example of usage of set-window-hscroll, since image-mode already binds
> > the movement keys to a command that scrolls the image horizontally.
> Which command?

This one:

> I see that forward-char is remapped to image-forward-hscroll and same
> for backward-char


> but it is not working because auto-hscroll-mode is
> not set correctly. 

Horizontal scrolling works just fine for me without any changes, when
I visit an image file (which automatically puts the buffer into
image-mode).  If this is the use case you were talking about, then our
observations don't match.

> > If so, why are you suggesting changes to image-mode?
> To allow navigation with C-f/b and left/right which is not working actually. 

They do for me, in image-mode.  The challenge is to support that in
other modes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 17 Jun 2013 05:01:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 01:01:38 2013
Received: from localhost ([127.0.0.1]:49528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UoRZS-0008EM-DY
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2013 01:01:38 -0400
Received: from mail-ea0-f178.google.com ([209.85.215.178]:65333)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1UoRZP-0008E3-Gy
 for 14567 <at> debbugs.gnu.org; Mon, 17 Jun 2013 01:01:36 -0400
Received: by mail-ea0-f178.google.com with SMTP id l15so1546769eak.9
 for <14567 <at> debbugs.gnu.org>; Sun, 16 Jun 2013 22:01:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=R5djkfsw/XB/7AIm6b5PvCXzgxlLaQkzgG4E7fCSyR0=;
 b=HhxCSbeMiK4e/r7jndbeGnrBFtA8URyPddH/nm3bXrJ0swBSlXVELiN7jGPpY8inFJ
 15ZAR2pxLFAfXegBrmM0pfbplWcl1PC0m3hb9RNXMKgxClgog2ZtpQpw4FmyTk4u99wl
 1azYaX2OvWuFmfhXc/4hscvU3AYMiyWLS+Nn5A2PUyAo9SRW4dsfPob3UDCq1lxSQT+S
 wDOLSajJnfmK4K0A8+8CemB5sJQm9o7BBzrPHrKicLvbSXGjYJ2s55EcPvQ1ZF9vOpa0
 Gkqe3iAdFtaUVC8oK6PP58vIHCcmKkfXgNz/CYk/ZL6mhZFHwGzjZW3GbJYQNa82UYj8
 JHGw==
X-Received: by 10.14.126.72 with SMTP id a48mr14528727eei.34.1371445289291;
 Sun, 16 Jun 2013 22:01:29 -0700 (PDT)
Received: from dell-14z ([37.161.208.156])
 by mx.google.com with ESMTPSA id o5sm1869836eef.5.2013.06.16.22.01.26
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 16 Jun 2013 22:01:28 -0700 (PDT)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Organization: Emacs Helm
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN>
 <837ghvv94e.fsf@HIDDEN> <87ip1epqkj.fsf@HIDDEN>
 <87txky60j2.fsf@HIDDEN> <83li6at45l.fsf@HIDDEN>
Date: Mon, 17 Jun 2013 06:57:21 +0200
In-Reply-To: <83li6at45l.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 16 Jun
 2013 19:24:22 +0300")
Message-ID: <87bo755o7i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>> Date: Sun, 16 Jun 2013 08:18:57 +0200
>> 
>> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>> 
>> > Eli Zaretskii <eliz@HIDDEN> writes:
>> >
>> >>> Date: Sat, 15 Jun 2013 14:26:13 +0300
>> >>> From: Eli Zaretskii <eliz@HIDDEN>
>> >>> Cc: 14567 <at> debbugs.gnu.org
>> >>> 
>> >>> > From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>> >>> > Date: Sat, 15 Jun 2013 13:13:05 +0200
>> >>> > 
>> >>> > however it would be great to be able to scroll horizontally too.
>> >>> 
>> >>> That's a much larger project, since we lack infrastructure to scroll
>> >>> horizontally by pixels.
>> >>
>> >> Actually, I see that I was wrong: set-window-hscroll can do the job.
>> >> The only problem is to get C-f/C-b and <left>/<right> keys invoke that
>> >> function when appropriate.  Patches are welcome.
>> >
>> > I don't understand how to use this, it is actually setting the number of
>> > column where to start scrolling, and it seems an image have only one
>> > column?
>> >
>> > Though only setting `auto-hscroll-mode' to nil let move with C-f/b and
>> > left/right as expected, may be this value should be let-bounded when
>> > image-mode is detected?
>> 
>> I saw auto-hscroll-mode was already used, but have no effect, when
>> moving it to image-mode and make it buffer-local, it is working.
>> However, navigation in image looks a little slower than scrolling
>> vertically, but maybe I am wrong.
>> 
>> 
>> diff --git a/lisp/image-mode.el b/lisp/image-mode.el
>> index 30dfd04..fdede81 100644
>> --- a/lisp/image-mode.el
>> +++ b/lisp/image-mode.el
>
> I'm confused: didn't you want C-f/C-b and the arrows to scroll images
> in modes other than image-mode?  I mentioned image-mode only as
> example of usage of set-window-hscroll, since image-mode already binds
> the movement keys to a command that scrolls the image horizontally.
Which command?
I see that forward-char is remapped to image-forward-hscroll and same
for backward-char, but it is not working because auto-hscroll-mode is
not set correctly. 
But may be I missed something?

> The idea was to use something similar in other modes, when an image is
> present in the window.
>
> Wasn't that what you wanted?
Yes also.


> If so, why are you suggesting changes to image-mode?
To allow navigation with C-f/b and left/right which is not working actually. 

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 16 Jun 2013 16:24:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 16 12:24:32 2013
Received: from localhost ([127.0.0.1]:48635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UoFkm-0006ZQ-1r
	for submit <at> debbugs.gnu.org; Sun, 16 Jun 2013 12:24:32 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:38042)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UoFkj-0006Z8-92
 for 14567 <at> debbugs.gnu.org; Sun, 16 Jun 2013 12:24:30 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MOH00L00URPEP00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sun, 16 Jun 2013 19:24:23 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOH00LBWUWM8FA0@HIDDEN>;
 Sun, 16 Jun 2013 19:24:23 +0300 (IDT)
Date: Sun, 16 Jun 2013 19:24:22 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <87txky60j2.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Message-id: <83li6at45l.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN> <837ghvv94e.fsf@HIDDEN>
 <87ip1epqkj.fsf@HIDDEN> <87txky60j2.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> Date: Sun, 16 Jun 2013 08:18:57 +0200
> 
> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
> 
> > Eli Zaretskii <eliz@HIDDEN> writes:
> >
> >>> Date: Sat, 15 Jun 2013 14:26:13 +0300
> >>> From: Eli Zaretskii <eliz@HIDDEN>
> >>> Cc: 14567 <at> debbugs.gnu.org
> >>> 
> >>> > From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> >>> > Date: Sat, 15 Jun 2013 13:13:05 +0200
> >>> > 
> >>> > however it would be great to be able to scroll horizontally too.
> >>> 
> >>> That's a much larger project, since we lack infrastructure to scroll
> >>> horizontally by pixels.
> >>
> >> Actually, I see that I was wrong: set-window-hscroll can do the job.
> >> The only problem is to get C-f/C-b and <left>/<right> keys invoke that
> >> function when appropriate.  Patches are welcome.
> >
> > I don't understand how to use this, it is actually setting the number of
> > column where to start scrolling, and it seems an image have only one
> > column?
> >
> > Though only setting `auto-hscroll-mode' to nil let move with C-f/b and
> > left/right as expected, may be this value should be let-bounded when
> > image-mode is detected?
> 
> I saw auto-hscroll-mode was already used, but have no effect, when
> moving it to image-mode and make it buffer-local, it is working.
> However, navigation in image looks a little slower than scrolling
> vertically, but maybe I am wrong.
> 
> 
> diff --git a/lisp/image-mode.el b/lisp/image-mode.el
> index 30dfd04..fdede81 100644
> --- a/lisp/image-mode.el
> +++ b/lisp/image-mode.el

I'm confused: didn't you want C-f/C-b and the arrows to scroll images
in modes other than image-mode?  I mentioned image-mode only as
example of usage of set-window-hscroll, since image-mode already binds
the movement keys to a command that scrolls the image horizontally.
The idea was to use something similar in other modes, when an image is
present in the window.

Wasn't that what you wanted?  If so, why are you suggesting changes to
image-mode?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jun 2013 06:19:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 16 02:19:27 2013
Received: from localhost ([127.0.0.1]:47474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uo6JC-0005mj-Ql
	for submit <at> debbugs.gnu.org; Sun, 16 Jun 2013 02:19:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51704)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6J9-0005mT-C0
 for submit <at> debbugs.gnu.org; Sun, 16 Jun 2013 02:19:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6J2-00063r-S4
 for submit <at> debbugs.gnu.org; Sun, 16 Jun 2013 02:19:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-96.8 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 FSL_HELO_BARE_IP_2,RCVD_NUMERIC_HELO,USER_IN_WHITELIST autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40547)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6J2-00063n-P9
 for submit <at> debbugs.gnu.org; Sun, 16 Jun 2013 02:19:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53417)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6J0-0008Iv-7H
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2013 02:19:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6Iy-00062Q-K5
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2013 02:19:14 -0400
Received: from plane.gmane.org ([80.91.229.3]:46420)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6Iy-00062A-Da
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2013 02:19:12 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1Uo6Iw-0003oY-Vg
 for bug-gnu-emacs@HIDDEN; Sun, 16 Jun 2013 08:19:10 +0200
Received: from 37.160.0.8 ([37.160.0.8])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Jun 2013 08:19:10 +0200
Received: from thierry.volpiatto by 37.160.0.8 with local (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Jun 2013 08:19:10 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Date: Sun, 16 Jun 2013 08:18:57 +0200
Organization: Emacs Helm
Lines: 62
Message-ID: <87txky60j2.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN>
 <837ghvv94e.fsf@HIDDEN> <87ip1epqkj.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 37.160.0.8
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
Cancel-Lock: sha1:f2tjPhMiYkpX35ivwl/YC/Pdgpg=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Date: Sat, 15 Jun 2013 14:26:13 +0300
>>> From: Eli Zaretskii <eliz@HIDDEN>
>>> Cc: 14567 <at> debbugs.gnu.org
>>> 
>>> > From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>>> > Date: Sat, 15 Jun 2013 13:13:05 +0200
>>> > 
>>> > however it would be great to be able to scroll horizontally too.
>>> 
>>> That's a much larger project, since we lack infrastructure to scroll
>>> horizontally by pixels.
>>
>> Actually, I see that I was wrong: set-window-hscroll can do the job.
>> The only problem is to get C-f/C-b and <left>/<right> keys invoke that
>> function when appropriate.  Patches are welcome.
>
> I don't understand how to use this, it is actually setting the number of
> column where to start scrolling, and it seems an image have only one
> column?
>
> Though only setting `auto-hscroll-mode' to nil let move with C-f/b and
> left/right as expected, may be this value should be let-bounded when
> image-mode is detected?

I saw auto-hscroll-mode was already used, but have no effect, when
moving it to image-mode and make it buffer-local, it is working.
However, navigation in image looks a little slower than scrolling
vertically, but maybe I am wrong.


diff --git a/lisp/image-mode.el b/lisp/image-mode.el
index 30dfd04..fdede81 100644
--- a/lisp/image-mode.el
+++ b/lisp/image-mode.el
@@ -446,7 +446,8 @@ to toggle between display as an image and display as text."
 
 	(kill-all-local-variables)
 	(setq major-mode 'image-mode)
-
+        ;; Allow navigation of large images.
+        (set (make-variable-buffer-local 'auto-hscroll-mode) nil)
 	(if (not (image-get-display-property))
 	    (progn
 	      (image-toggle-display-image)
@@ -643,8 +644,6 @@ was inserted."
     (if (coding-system-equal (coding-system-base buffer-file-coding-system)
 			     'no-conversion)
 	(setq-local find-file-literally t))
-    ;; Allow navigation of large images.
-    (setq-local auto-hscroll-mode nil)
     (setq image-type type)
     (if (eq major-mode 'image-mode)
 	(setq mode-name (format "Image[%s]" type)))

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 16 Jun 2013 05:34:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 16 01:34:15 2013
Received: from localhost ([127.0.0.1]:47432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uo5bS-0003Ex-Ey
	for submit <at> debbugs.gnu.org; Sun, 16 Jun 2013 01:34:14 -0400
Received: from mail-wi0-f179.google.com ([209.85.212.179]:49651)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1Uo5bQ-0003EG-3X
 for 14567 <at> debbugs.gnu.org; Sun, 16 Jun 2013 01:34:12 -0400
Received: by mail-wi0-f179.google.com with SMTP id hj3so1308189wib.0
 for <14567 <at> debbugs.gnu.org>; Sat, 15 Jun 2013 22:34:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=1Of1Lqi/GadF7gvhR+ZdLgJ287DlcqwBWyJnexp3gjs=;
 b=aYBVRYSDv24O96swYHIqPcUvUQqHh3W9Yi+4HM71U6krJT+5V2+laHi8HvxooGD9VX
 WRGb9PD8SqKjzSBmd/rjjOyDi/ugoUXQeCYfA2hOjyTOTypEm1OY/eAGGbrwzA8EbS1w
 almJxkj8q9exFAuvyvwRlGVWHE5UCBk2xwaT+9gOxEsUa6N8VNYJzkVUnALWwf2pde/7
 1wdMtZvJpw5bCUWSn3/4LuvuOMJnc6APl1B1tEEcBxbIVDY64rMrbz5cdvQ5bCAwF2Vw
 yyS4+YUlURlusLPj43IOHX1UUxuB1GINf3kekcsSll+Mw8bOsltWdpCTAr2DlP8z+Gu3
 cYZw==
X-Received: by 10.195.12.133 with SMTP id eq5mr5012359wjd.27.1371360845983;
 Sat, 15 Jun 2013 22:34:05 -0700 (PDT)
Received: from dell-14z ([37.160.0.8])
 by mx.google.com with ESMTPSA id fb2sm13254845wic.4.2013.06.15.22.34.02
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sat, 15 Jun 2013 22:34:05 -0700 (PDT)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Organization: Emacs Helm
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN>
 <837ghvv94e.fsf@HIDDEN>
Date: Sun, 16 Jun 2013 07:33:48 +0200
In-Reply-To: <837ghvv94e.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 Jun
 2013 15:41:53 +0300")
Message-ID: <87ip1epqkj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Sat, 15 Jun 2013 14:26:13 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>> Cc: 14567 <at> debbugs.gnu.org
>> 
>> > From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>> > Date: Sat, 15 Jun 2013 13:13:05 +0200
>> > 
>> > however it would be great to be able to scroll horizontally too.
>> 
>> That's a much larger project, since we lack infrastructure to scroll
>> horizontally by pixels.
>
> Actually, I see that I was wrong: set-window-hscroll can do the job.
> The only problem is to get C-f/C-b and <left>/<right> keys invoke that
> function when appropriate.  Patches are welcome.

I don't understand how to use this, it is actually setting the number of
column where to start scrolling, and it seems an image have only one
column?

Though only setting `auto-hscroll-mode' to nil let move with C-f/b and
left/right as expected, may be this value should be let-bounded when
image-mode is detected?

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 15 Jun 2013 12:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 08:41:52 2013
Received: from localhost ([127.0.0.1]:45861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Unpni-0004gV-Ty
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 08:41:51 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:36857)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Unpne-0004fT-SY
 for 14567 <at> debbugs.gnu.org; Sat, 15 Jun 2013 08:41:48 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MOF00000POB3Y00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sat, 15 Jun 2013 15:41:39 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOF000PKPXE4510@HIDDEN>;
 Sat, 15 Jun 2013 15:41:39 +0300 (IDT)
Date: Sat, 15 Jun 2013 15:41:53 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <83a9mrvcmi.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: thierry.volpiatto@HIDDEN
Message-id: <837ghvv94e.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN> <83a9mrvcmi.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 15 Jun 2013 14:26:13 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 14567 <at> debbugs.gnu.org
> 
> > From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> > Date: Sat, 15 Jun 2013 13:13:05 +0200
> > 
> > however it would be great to be able to scroll horizontally too.
> 
> That's a much larger project, since we lack infrastructure to scroll
> horizontally by pixels.

Actually, I see that I was wrong: set-window-hscroll can do the job.
The only problem is to get C-f/C-b and <left>/<right> keys invoke that
function when appropriate.  Patches are welcome.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 15 Jun 2013 11:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 07:26:09 2013
Received: from localhost ([127.0.0.1]:45783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UnocS-0007qz-RV
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 07:26:09 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:40927)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UnocP-0007pv-MR
 for 14567 <at> debbugs.gnu.org; Sat, 15 Jun 2013 07:26:07 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MOF00B00MDUKY00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sat, 15 Jun 2013 14:25:59 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOF00BEMMFACI60@HIDDEN>;
 Sat, 15 Jun 2013 14:25:58 +0300 (IDT)
Date: Sat, 15 Jun 2013 14:26:13 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <87mwqrpqym.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Message-id: <83a9mrvcmi.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
 <87mwqrpqym.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> Date: Sat, 15 Jun 2013 13:13:05 +0200
> 
> however it would be great to be able to scroll horizontally too.

That's a much larger project, since we lack infrastructure to scroll
horizontally by pixels.

Feel free to file a separate feature request bug report.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2013 11:13:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 07:13:31 2013
Received: from localhost ([127.0.0.1]:45774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UnoQE-0007Fl-Jf
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 07:13:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48626)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQC-0007F4-38
 for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 07:13:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQ5-00052E-M4
 for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 07:13:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-98.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 FSL_HELO_BARE_IP_2,RCVD_NUMERIC_HELO,USER_IN_WHITELIST autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39439)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQ5-00052A-In
 for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 07:13:21 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50343)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQ3-0006sQ-LQ
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2013 07:13:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQ2-0004w7-ML
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2013 07:13:19 -0400
Received: from plane.gmane.org ([80.91.229.3]:43912)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQ2-0004uv-Fu
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2013 07:13:18 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1UnoQ0-0001QQ-CP
 for bug-gnu-emacs@HIDDEN; Sat, 15 Jun 2013 13:13:16 +0200
Received: from 37.160.9.213 ([37.160.9.213])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sat, 15 Jun 2013 13:13:16 +0200
Received: from thierry.volpiatto by 37.160.9.213 with local (Gmexim 0.1
 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Sat, 15 Jun 2013 13:13:16 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Date: Sat, 15 Jun 2013 13:13:05 +0200
Organization: Emacs Helm
Lines: 17
Message-ID: <87mwqrpqym.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN> <877ghvd6tq.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 37.160.9.213
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
Cancel-Lock: sha1:02I9x5rByvhWsH8nUB2jgDLetVY=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

David Engster <deng@HIDDEN> writes:

> Eli Zaretskii writes:
>> Thanks.  I fixed that and committed the result as trunk revision
>> 112998.  I am not closing the bug yet because it still jumps
>> sometimes, although the context of point is now preserved, unlike
>> before the changes.  I will see if I can prevent those jumps.
>
> Thank you, Eli! This is a great improvement.

Thanks for this, working fine here, however it would be great to be able
to scroll horizontally too.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 15 Jun 2013 10:08:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 06:08:58 2013
Received: from localhost ([127.0.0.1]:45721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UnnPm-0003JP-CJ
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 06:08:58 -0400
Received: from randomsample.de ([83.169.19.17]:53649)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <deng@HIDDEN>) id 1UnnPk-0003JA-KL
 for 14567 <at> debbugs.gnu.org; Sat, 15 Jun 2013 06:08:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=K2Eg8xNi5ULbAG+XIYzFrNiEBS5vk+uLJq5qhf/XJLo=; 
 b=IJZ1XqgCZ1d0HGZv9imn6SC/YvD8mg7QnLn07TeAiu6tKTvYehvUE4lpmKVTY0Gdr+KVK1C25lqmtDh9hEDPajBqtMzPBeHjmWluqgCHTEZ7C7bh9gR6W0cIGe6WfJJz;
Received: from dslc-082-083-043-255.pools.arcor-ip.net ([82.83.43.255]
 helo=spaten)
 by randomsample.de with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <deng@HIDDEN>)
 id 1UnnPi-0000Nw-Qq; Sat, 15 Jun 2013 12:08:55 +0200
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-Reply-To: <83d2rnvhkw.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 Jun
 2013 12:39:11 +0300")
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
 <83d2rnvhkw.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3 (gnu/linux)
Date: Sat, 15 Jun 2013 12:08:49 +0200
Message-ID: <877ghvd6tq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 14567
Cc: thomas.wiecki@HIDDEN, 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Eli Zaretskii writes:
> Thanks.  I fixed that and committed the result as trunk revision
> 112998.  I am not closing the bug yet because it still jumps
> sometimes, although the context of point is now preserved, unlike
> before the changes.  I will see if I can prevent those jumps.

Thank you, Eli! This is a great improvement.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 15 Jun 2013 09:39:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 05:39:06 2013
Received: from localhost ([127.0.0.1]:45671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Unmws-0001mv-Ce
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 05:39:06 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:64533)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Unmwp-0001m1-LZ
 for 14567 <at> debbugs.gnu.org; Sat, 15 Jun 2013 05:39:04 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MOF00L00HCUPN00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sat, 15 Jun 2013 12:38:57 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOF00LAKHGW0PG0@HIDDEN>;
 Sat, 15 Jun 2013 12:38:57 +0300 (IDT)
Date: Sat, 15 Jun 2013 12:39:11 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <87bo77d9vt.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: David Engster <deng@HIDDEN>
Message-id: <83d2rnvhkw.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN> <87bo77d9vt.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: thomas.wiecki@HIDDEN, 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: David Engster <deng@HIDDEN>
> Cc: thomas.wiecki@HIDDEN,  14567 <at> debbugs.gnu.org
> Date: Sat, 15 Jun 2013 11:02:46 +0200
> 
> > Thanks.  Unfortunately, using Emacs with Imagemagick support is a
> > no-starter for me.
> 
> It's only needed for scaling, though. If you have at least libjpeg, then
> just download those two images
> 
> http://randomsample.de/bigimage.jpg
> http://randomsample.de/smallimage.jpg
> 
> and use
> 
> (with-current-buffer (get-buffer-create "test")
>   (erase-buffer)
>   (let ((imagelarge (create-image "~/bigimage.jpg"))
> 	(imagesmall (create-image "~/smallimage.jpg")))
>     (dotimes (i 20)
>       (insert "\n*** " (number-to-string i)" ***\nThis is a line of text.\nAnd here's a large image:\n")
>       (insert-image imagelarge)
>       (insert "\nAnd a small image:\n")
>       (insert-image imagesmall))
>     (goto-char (point-min))))
> 
> >However, I tried to cover every possibility of using non-numeric values
> >in numeric context.  Please try the patch below (it's relative to the
> >current trunk, not to the previous patch), and see if it gives good
> >results.  If you still get errors, please manually load simple.el (not
> >simple.elc) into your Emacs, run your test snippet, and see if the
> >backtrace can pinpoint the place where I missed something.
> 
> It fails in line 4789 because 'py' is nil. I attached the backtrace.

Thanks.  I fixed that and committed the result as trunk revision
112998.  I am not closing the bug yet because it still jumps
sometimes, although the context of point is now preserved, unlike
before the changes.  I will see if I can prevent those jumps.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 15 Jun 2013 09:03:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 05:03:00 2013
Received: from localhost ([127.0.0.1]:45629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UnmNu-0008FH-PG
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 05:02:59 -0400
Received: from randomsample.de ([83.169.19.17]:40055)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <deng@HIDDEN>) id 1UnmNr-0008Es-7U
 for 14567 <at> debbugs.gnu.org; Sat, 15 Jun 2013 05:02:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=wuy0KBhEoX3NFi+HJQoCPcfWomRnCedKIEfgrenagiI=; 
 b=lH7tkfkPmeQt/y+23MBu+HUvg9lvh0GDo5Bm4o33aqYS0EyC5Ge9qGr2/44m1rTc3kfRoasDLnEVnbvN8iagaVcD2Nwivl/MbzFINaHsVPgVD62skx54IU3IdRL6gp2s;
Received: from dslc-082-083-043-255.pools.arcor-ip.net ([82.83.43.255]
 helo=spaten)
 by randomsample.de with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <deng@HIDDEN>)
 id 1UnmNo-0007GO-EI; Sat, 15 Jun 2013 11:02:53 +0200
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-Reply-To: <83li6bvl2i.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 Jun
 2013 11:23:49 +0300")
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
 <83li6bvl2i.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3 (gnu/linux)
Date: Sat, 15 Jun 2013 11:02:46 +0200
Message-ID: <87bo77d9vt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 14567
Cc: thomas.wiecki@HIDDEN, 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain

Eli Zaretskii writes:
>> >> I can't really reproduce the line-move error either in this mode. It
>> >> does show up occasionally but I haven't figured out how to
>> >> explicitly trigger it thus far.
>> >
>> > I'll try reproducing it here.
>> 
>> I also tried the patch on current trunk. I use the following snippet to
>> generate a buffer containing large and small images as well as text:
>
> Thanks.  Unfortunately, using Emacs with Imagemagick support is a
> no-starter for me.

It's only needed for scaling, though. If you have at least libjpeg, then
just download those two images

http://randomsample.de/bigimage.jpg
http://randomsample.de/smallimage.jpg

and use

(with-current-buffer (get-buffer-create "test")
  (erase-buffer)
  (let ((imagelarge (create-image "~/bigimage.jpg"))
	(imagesmall (create-image "~/smallimage.jpg")))
    (dotimes (i 20)
      (insert "\n*** " (number-to-string i)" ***\nThis is a line of text.\nAnd here's a large image:\n")
      (insert-image imagelarge)
      (insert "\nAnd a small image:\n")
      (insert-image imagesmall))
    (goto-char (point-min))))

>However, I tried to cover every possibility of using non-numeric values
>in numeric context.  Please try the patch below (it's relative to the
>current trunk, not to the previous patch), and see if it gives good
>results.  If you still get errors, please manually load simple.el (not
>simple.elc) into your Emacs, run your test snippet, and see if the
>backtrace can pinpoint the place where I missed something.

It fails in line 4789 because 'py' is nil. I attached the backtrace.

-David


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=backtrace.txt
Content-Transfer-Encoding: quoted-printable

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  =3D(nil 4)
  (and vpos (> vpos 0) (=3D py (min (- (window-text-height) scroll-margin 1=
) (1- vpos))))
  (cond ((and (or (< (setq vs (window-vscroll nil t)) fch) (null this-heigh=
t) (<=3D this-height fch)) (or (null rbot) (=3D rbot 0))) nil) ((and (or (n=
ull this-height) (<=3D this-height fch)) vpos (> vpos 0) (< (setq py (or (n=
th 1 this-lh) (let (...) (cdr ...)))) (min (- (window-text-height) scroll-m=
argin 1) (1- vpos)))) nil) ((> vs 0) (if (or (and rbot (> rbot 0)) (and thi=
s-height (> this-height fch))) (progn (set-window-vscroll nil (+ vs fch) t)=
))) ((and vpos (> vpos 0) (=3D py (min (- (window-text-height) scroll-margi=
n 1) (1- vpos)))) (set-window-vscroll nil (frame-char-height) t) (line-move=
-1 arg noerror to-end) t) ((and vpos (> vpos 0)) (scroll-up 1) t) (t (set-w=
indow-vscroll nil (frame-char-height) t)))
  (progn (if lh nil (let ((wend (pos-visible-in-window-p t nil t))) (setq r=
bot (nth 3 wend) vpos (nth 5 wend)))) (if this-lh nil (let ((wstart (pos-vi=
sible-in-window-p nil nil t))) (setq this-ypos (nth 2 wstart) this-height (=
nth 4 wstart)))) (cond ((and (or (< (setq vs (window-vscroll nil t)) fch) (=
null this-height) (<=3D this-height fch)) (or (null rbot) (=3D rbot 0))) ni=
l) ((and (or (null this-height) (<=3D this-height fch)) vpos (> vpos 0) (< =
(setq py (or (nth 1 this-lh) (let ... ...))) (min (- (window-text-height) s=
croll-margin 1) (1- vpos)))) nil) ((> vs 0) (if (or (and rbot (> rbot 0)) (=
and this-height (> this-height fch))) (progn (set-window-vscroll nil (+ vs =
fch) t)))) ((and vpos (> vpos 0) (=3D py (min (- (window-text-height) scrol=
l-margin 1) (1- vpos)))) (set-window-vscroll nil (frame-char-height) t) (li=
ne-move-1 arg noerror to-end) t) ((and vpos (> vpos 0)) (scroll-up 1) t) (t=
 (set-window-vscroll nil (frame-char-height) t))))
  (if (or (null lh) (>=3D rbot fch) (<=3D ypos (- fch)) (null this-lh) (<=
=3D this-ypos (- fch))) (progn (if lh nil (let ((wend (pos-visible-in-windo=
w-p t nil t))) (setq rbot (nth 3 wend) vpos (nth 5 wend)))) (if this-lh nil=
 (let ((wstart (pos-visible-in-window-p nil nil t))) (setq this-ypos (nth 2=
 wstart) this-height (nth 4 wstart)))) (cond ((and (or (< (setq vs ...) fch=
) (null this-height) (<=3D this-height fch)) (or (null rbot) (=3D rbot 0)))=
 nil) ((and (or (null this-height) (<=3D this-height fch)) vpos (> vpos 0) =
(< (setq py (or ... ...)) (min (- ... scroll-margin 1) (1- vpos)))) nil) ((=
> vs 0) (if (or (and rbot (> rbot 0)) (and this-height (> this-height fch))=
) (progn (set-window-vscroll nil (+ vs fch) t)))) ((and vpos (> vpos 0) (=
=3D py (min (- ... scroll-margin 1) (1- vpos)))) (set-window-vscroll nil (f=
rame-char-height) t) (line-move-1 arg noerror to-end) t) ((and vpos (> vpos=
 0)) (scroll-up 1) t) (t (set-window-vscroll nil (frame-char-height) t)))))
  (let* ((lh (window-line-height -1)) (vpos (nth 1 lh)) (ypos (nth 2 lh)) (=
rbot (nth 3 lh)) (this-lh (window-line-height)) (this-height (nth 0 this-lh=
)) (this-ypos (nth 2 this-lh)) (fch (frame-char-height)) py vs) (if (or (nu=
ll lh) (>=3D rbot fch) (<=3D ypos (- fch)) (null this-lh) (<=3D this-ypos (=
- fch))) (progn (if lh nil (let ((wend (pos-visible-in-window-p t nil t))) =
(setq rbot (nth 3 wend) vpos (nth 5 wend)))) (if this-lh nil (let ((wstart =
(pos-visible-in-window-p nil nil t))) (setq this-ypos (nth 2 wstart) this-h=
eight (nth 4 wstart)))) (cond ((and (or (< ... fch) (null this-height) (<=
=3D this-height fch)) (or (null rbot) (=3D rbot 0))) nil) ((and (or (null t=
his-height) (<=3D this-height fch)) vpos (> vpos 0) (< (setq py ...) (min .=
.. ...))) nil) ((> vs 0) (if (or (and rbot ...) (and this-height ...)) (pro=
gn (set-window-vscroll nil ... t)))) ((and vpos (> vpos 0) (=3D py (min ...=
 ...))) (set-window-vscroll nil (frame-char-height) t) (line-move-1 arg noe=
rror to-end) t) ((and vpos (> vpos 0)) (scroll-up 1) t) (t (set-window-vscr=
oll nil (frame-char-height) t))))))
  (if (< arg 0) (let ((vs (window-vscroll nil t))) (if (> vs (frame-char-he=
ight)) (progn (set-window-vscroll nil (- vs (frame-char-height)) t)))) (let=
* ((lh (window-line-height -1)) (vpos (nth 1 lh)) (ypos (nth 2 lh)) (rbot (=
nth 3 lh)) (this-lh (window-line-height)) (this-height (nth 0 this-lh)) (th=
is-ypos (nth 2 this-lh)) (fch (frame-char-height)) py vs) (if (or (null lh)=
 (>=3D rbot fch) (<=3D ypos (- fch)) (null this-lh) (<=3D this-ypos (- fch)=
)) (progn (if lh nil (let ((wend ...)) (setq rbot (nth 3 wend) vpos (nth 5 =
wend)))) (if this-lh nil (let ((wstart ...)) (setq this-ypos (nth 2 wstart)=
 this-height (nth 4 wstart)))) (cond ((and (or ... ... ...) (or ... ...)) n=
il) ((and (or ... ...) vpos (> vpos 0) (< ... ...)) nil) ((> vs 0) (if (or =
... ...) (progn ...))) ((and vpos (> vpos 0) (=3D py ...)) (set-window-vscr=
oll nil (frame-char-height) t) (line-move-1 arg noerror to-end) t) ((and vp=
os (> vpos 0)) (scroll-up 1) t) (t (set-window-vscroll nil (frame-char-heig=
ht) t)))))))
  line-move-partial(1 nil nil)
  (and auto-window-vscroll try-vscroll (=3D (abs arg) 1) (zerop scroll-cons=
ervatively) (not defining-kbd-macro) (not executing-kbd-macro) (line-move-p=
artial arg noerror to-end))
  (if (and auto-window-vscroll try-vscroll (=3D (abs arg) 1) (zerop scroll-=
conservatively) (not defining-kbd-macro) (not executing-kbd-macro) (line-mo=
ve-partial arg noerror to-end)) nil (set-window-vscroll nil 0 t) (if (and l=
ine-move-visual (not goal-column) (not (> (window-hscroll) 0))) (prog1 (lin=
e-move-visual arg noerror) (let ((lh (line-pixel-height))) (if (and (< arg =
0) (< (point) (window-start)) (> lh (frame-char-height))) (set-window-vscro=
ll nil (- lh (frame-char-height)) t)))) (line-move-1 arg noerror to-end)))
  (if noninteractive (forward-line arg) (if (and auto-window-vscroll try-vs=
croll (=3D (abs arg) 1) (zerop scroll-conservatively) (not defining-kbd-mac=
ro) (not executing-kbd-macro) (line-move-partial arg noerror to-end)) nil (=
set-window-vscroll nil 0 t) (if (and line-move-visual (not goal-column) (no=
t (> (window-hscroll) 0))) (prog1 (line-move-visual arg noerror) (let ((lh =
(line-pixel-height))) (if (and (< arg 0) (< ... ...) (> lh ...)) (set-windo=
w-vscroll nil (- lh ...) t)))) (line-move-1 arg noerror to-end))))
  line-move(1 nil nil 1)
  (condition-case err (line-move arg nil nil try-vscroll) ((beginning-of-bu=
ffer end-of-buffer) (signal (car err) (cdr err))))
  (if (called-interactively-p (quote interactive)) (condition-case err (lin=
e-move arg nil nil try-vscroll) ((beginning-of-buffer end-of-buffer) (signa=
l (car err) (cdr err)))) (line-move arg nil nil try-vscroll))
  (if (and next-line-add-newlines (=3D arg 1)) (if (save-excursion (end-of-=
line) (eobp)) (let ((abbrev-mode nil)) (end-of-line) (insert (if use-hard-n=
ewlines hard-newline "\n"))) (line-move arg nil nil try-vscroll)) (if (call=
ed-interactively-p (quote interactive)) (condition-case err (line-move arg =
nil nil try-vscroll) ((beginning-of-buffer end-of-buffer) (signal (car err)=
 (cdr err)))) (line-move arg nil nil try-vscroll)))
  next-line(1 1)
  call-interactively(next-line nil nil)
  (prog1 (call-interactively cmd record-flag keys) (if (and (symbolp cmd) (=
get cmd (quote byte-obsolete-info)) (not (get cmd (quote command-execute-ob=
solete-warned)))) (progn (put cmd (quote command-execute-obsolete-warned) t=
) (message "%s" (macroexp--obsolete-warning cmd (get cmd (quote byte-obsole=
te-info)) "command")))))
  (cond ((arrayp final) (if record-flag (progn (setq command-history (cons =
(list (quote execute-kbd-macro) final prefixarg) command-history)) (if (and=
 (numberp history-length) (> history-length 0)) (progn (let (...) (if ... .=
..)))))) (execute-kbd-macro final prefixarg)) (t (prog1 (call-interactively=
 cmd record-flag keys) (if (and (symbolp cmd) (get cmd (quote byte-obsolete=
-info)) (not (get cmd (quote command-execute-obsolete-warned)))) (progn (pu=
t cmd (quote command-execute-obsolete-warned) t) (message "%s" (macroexp--o=
bsolete-warning cmd (get cmd ...) "command")))))))
  (let ((final cmd)) (while (progn (setq final (indirect-function final)) (=
if (autoloadp final) (setq final (autoload-do-load final cmd))))) (cond ((a=
rrayp final) (if record-flag (progn (setq command-history (cons (list ... f=
inal prefixarg) command-history)) (if (and (numberp history-length) (> hist=
ory-length 0)) (progn (let ... ...))))) (execute-kbd-macro final prefixarg)=
) (t (prog1 (call-interactively cmd record-flag keys) (if (and (symbolp cmd=
) (get cmd (quote byte-obsolete-info)) (not (get cmd ...))) (progn (put cmd=
 (quote command-execute-obsolete-warned) t) (message "%s" (macroexp--obsole=
te-warning cmd ... "command"))))))))
  (let ((prefixarg (if special nil (prog1 prefix-arg (setq current-prefix-a=
rg prefix-arg) (setq prefix-arg nil))))) (and (symbolp cmd) (get cmd (quote=
 disabled)) (run-hooks (quote disabled-command-function))) (let ((final cmd=
)) (while (progn (setq final (indirect-function final)) (if (autoloadp fina=
l) (setq final (autoload-do-load final cmd))))) (cond ((arrayp final) (if r=
ecord-flag (progn (setq command-history (cons ... command-history)) (if (an=
d ... ...) (progn ...)))) (execute-kbd-macro final prefixarg)) (t (prog1 (c=
all-interactively cmd record-flag keys) (if (and (symbolp cmd) (get cmd ...=
) (not ...)) (progn (put cmd ... t) (message "%s" ...))))))))
  command-execute(next-line)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 15 Jun 2013 08:24:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 15 04:24:30 2013
Received: from localhost ([127.0.0.1]:45569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Unlmf-00063d-Fu
	for submit <at> debbugs.gnu.org; Sat, 15 Jun 2013 04:24:30 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:48345)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Unlma-00062y-HP
 for 14567 <at> debbugs.gnu.org; Sat, 15 Jun 2013 04:24:27 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MOF00L00DT60Q00@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sat, 15 Jun 2013 11:23:35 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MOF00K6MDZBPQ90@HIDDEN>;
 Sat, 15 Jun 2013 11:23:35 +0300 (IDT)
Date: Sat, 15 Jun 2013 11:23:49 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <87bo7cpfpk.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: David Engster <deng@HIDDEN>
Message-id: <83li6bvl2i.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN> <87bo7cpfpk.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: thomas.wiecki@HIDDEN, 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: David Engster <deng@HIDDEN>
> Cc: Thomas Wiecki <thomas.wiecki@HIDDEN>,  14567 <at> debbugs.gnu.org
> Date: Tue, 11 Jun 2013 22:14:47 +0200
> 
> Eli Zaretskii writes:
> >> I can't really reproduce the line-move error either in this mode. It
> >> does show up occasionally but I haven't figured out how to
> >> explicitly trigger it thus far.
> >
> > I'll try reproducing it here.
> 
> I also tried the patch on current trunk. I use the following snippet to
> generate a buffer containing large and small images as well as text:

Thanks.  Unfortunately, using Emacs with Imagemagick support is a
no-starter for me.  However, I tried to cover every possibility of
using non-numeric values in numeric context.  Please try the patch
below (it's relative to the current trunk, not to the previous patch),
and see if it gives good results.  If you still get errors, please
manually load simple.el (not simple.elc) into your Emacs, run your
test snippet, and see if the backtrace can pinpoint the place where I
missed something.

Thanks.

=== modified file 'lisp/simple.el'
--- lisp/simple.el	2013-06-13 22:24:52 +0000
+++ lisp/simple.el	2013-06-15 07:57:08 +0000
@@ -4738,22 +4738,39 @@ lines."
 	   (vpos (nth 1 lh))
 	   (ypos (nth 2 lh))
 	   (rbot (nth 3 lh))
+	   (this-lh (window-line-height))
+	   (this-height (nth 0 this-lh))
+	   (this-ypos (nth 2 this-lh))
+	   (fch (frame-char-height))
 	   py vs)
       (when (or (null lh)
-		(>= rbot (frame-char-height))
-		(<= ypos (- (frame-char-height))))
+		(>= rbot fch)
+		(<= ypos (- fch))
+		(null this-lh)
+		(<= this-ypos (- fch)))
 	(unless lh
 	  (let ((wend (pos-visible-in-window-p t nil t)))
 	    (setq rbot (nth 3 wend)
 		  vpos (nth 5 wend))))
+	(unless this-lh
+	  (let ((wstart (pos-visible-in-window-p nil nil t)))
+	    (setq this-ypos (nth 2 wstart)
+		  this-height (nth 4 wstart))))
 	(cond
-	 ;; If last line of window is fully visible, move forward.
-	 ((or (null rbot) (= rbot 0))
+	 ;; If last line of window is fully visible, and vscrolling
+	 ;; more would make this line invisible, move forward.
+	 ((and (or (< (setq vs (window-vscroll nil t)) fch)
+		   (null this-height)
+		   (<= this-height fch))
+	       (or (null rbot) (= rbot 0)))
 	  nil)
-	 ;; If cursor is not in the bottom scroll margin, move forward.
-	 ((and (> vpos 0)
+	 ;; If cursor is not in the bottom scroll margin, and the
+	 ;; current line is is not too tall, move forward.
+	 ((and (or (null this-height) (<= this-height fch))
+	       vpos
+	       (> vpos 0)
 	       (< (setq py
-			(or (nth 1 (window-line-height))
+			(or (nth 1 this-lh)
 			    (let ((ppos (posn-at-point)))
 			      (cdr (or (posn-actual-col-row ppos)
 				       (posn-col-row ppos))))))
@@ -4761,19 +4778,21 @@ lines."
 	  nil)
 	 ;; When already vscrolled, we vscroll some more if we can,
 	 ;; or clear vscroll and move forward at end of tall image.
-	 ((> (setq vs (window-vscroll nil t)) 0)
-	  (when (> rbot 0)
-	    (set-window-vscroll nil (+ vs (min rbot (frame-char-height))) t)))
+	 ((> vs 0)
+	  (when (or (and rbot (> rbot 0))
+		    (and this-height (> this-height fch)))
+	    (set-window-vscroll nil (+ vs fch) t)))
 	 ;; If cursor just entered the bottom scroll margin, move forward,
 	 ;; but also vscroll one line so redisplay won't recenter.
-	 ((and (> vpos 0)
+	 ((and vpos
+	       (> vpos 0)
 	       (= py (min (- (window-text-height) scroll-margin 1)
 			  (1- vpos))))
 	  (set-window-vscroll nil (frame-char-height) t)
 	  (line-move-1 arg noerror to-end)
 	  t)
 	 ;; If there are lines above the last line, scroll-up one line.
-	 ((> vpos 0)
+	 ((and vpos (> vpos 0))
 	  (scroll-up 1)
 	  t)
 	 ;; Finally, start vscroll.
@@ -4808,7 +4827,14 @@ lines."
 	       ;; display-based motion doesn't make sense (because each
 	       ;; logical line occupies exactly one screen line).
 	       (not (> (window-hscroll) 0)))
-	  (line-move-visual arg noerror)
+	  (prog1 (line-move-visual arg noerror)
+	    ;; If we moved into a tall line, set vscroll to make
+	    ;; scrolling through tall images more smooth.
+	    (let ((lh (line-pixel-height)))
+	      (if (and (< arg 0)
+		       (< (point) (window-start))
+		       (> lh (frame-char-height)))
+		  (set-window-vscroll nil (- lh (frame-char-height)) t))))
 	(line-move-1 arg noerror to-end)))))
 
 ;; Display-based alternative to line-move-1.

=== modified file 'src/xdisp.c'
--- src/xdisp.c	2013-06-10 04:36:06 +0000
+++ src/xdisp.c	2013-06-15 07:24:37 +0000
@@ -1217,6 +1217,24 @@ line_bottom_y (struct it *it)
   return line_top_y + line_height;
 }
 
+DEFUN ("line-pixel-height", Fline_pixel_height,
+       Sline_pixel_height, 0, 0, 0,
+       doc: /* Return height in pixels of text line in the selected window.
+
+Value is the height in pixels of the line at point.  */)
+  (void)
+{
+  struct it it;
+  struct text_pos pt;
+  struct window *w = XWINDOW (selected_window);
+
+  SET_TEXT_POS (pt, PT, PT_BYTE);
+  start_display (&it, w, pt);
+  it.vpos = it.current_y = 0;
+  last_height = 0;
+  return make_number (line_bottom_y (&it));
+}
+
 /* Subroutine of pos_visible_p below.  Extracts a display string, if
    any, from the display spec given as its argument.  */
 static Lisp_Object
@@ -28691,6 +28709,7 @@ syms_of_xdisp (void)
   defsubr (&Stool_bar_lines_needed);
   defsubr (&Slookup_image_map);
 #endif
+  defsubr (&Sline_pixel_height);
   defsubr (&Sformat_mode_line);
   defsubr (&Sinvisible_p);
   defsubr (&Scurrent_bidi_paragraph_direction);





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 11 Jun 2013 20:15:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 11 16:15:14 2013
Received: from localhost ([127.0.0.1]:57021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UmUyI-0004Sk-H5
	for submit <at> debbugs.gnu.org; Tue, 11 Jun 2013 16:15:14 -0400
Received: from randomsample.de ([83.169.19.17]:38637)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <deng@HIDDEN>) id 1UmUyG-0004Sb-9H
 for 14567 <at> debbugs.gnu.org; Tue, 11 Jun 2013 16:15:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=AWbbJNgcCoYlMRyJEWHP+3CNERjyUZCpRElVf/n9Sgk=; 
 b=A5sh7EnRwpjl0WRCQeDp94Pwf843fUMQkKo9tE+Qf4IVp4zmqFTyLHNBRc28/ttJCiviE1ByiEmc05uPfMM93ZBpb0VT5uod5eN0TeAXSzqXmBYeO1r0x6JZBvd1C+S6;
Received: from dslc-082-083-050-067.pools.arcor-ip.net ([82.83.50.67]
 helo=spaten)
 by randomsample.de with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <deng@HIDDEN>)
 id 1UmUxx-0000vX-R4; Tue, 11 Jun 2013 22:14:54 +0200
From: David Engster <deng@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-Reply-To: <83ehccromw.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 09 Jun
 2013 05:42:15 +0300")
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3 (gnu/linux)
Date: Tue, 11 Jun 2013 22:14:47 +0200
Message-ID: <87bo7cpfpk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 14567
Cc: Thomas Wiecki <thomas.wiecki@HIDDEN>, 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Eli Zaretskii writes:
>> I can't really reproduce the line-move error either in this mode. It
>> does show up occasionally but I haven't figured out how to
>> explicitly trigger it thus far.
>
> I'll try reproducing it here.

I also tried the patch on current trunk. I use the following snippet to
generate a buffer containing large and small images as well as text:

(with-current-buffer (get-buffer-create "test")
  (erase-buffer)
  (let ((imagelarge (create-image "~/someimage.jpg" 'imagemagick nil :height 2000 :width 1000))
	(imagesmall (create-image "~/someimage.jpg" 'imagemagick nil :height 200 :width 100)))
    (dotimes (i 20)
      (insert "\n*** " (number-to-string i)" ***\nThis is a line of text.\nAnd here's a large image:\n")
      (insert-image imagelarge)
      (insert "\nAnd a small image:\n")
      (insert-image imagesmall))
    (goto-char (point-min))))

Obviously, replace "~/someimage.jpg" with something else. Also, Emacs
must be compiled with imagemagick support.

Scrolling using your patch looks already pretty good, but I also get the
'wrong-type-argument' error while scrolling down. I use a maximized
'emacs -Q' on a display with 1366x768 resolution, and here's the backtrace:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  line-move-partial(1 nil nil)
  line-move(1 nil nil 1)
  #[0 "\302\300@\303\211\301$\207" [(1) 1 line-move nil] 5 "\n\n(fn)"]()
  funcall(#[0 "\302\300@\303\211\301$\207" [(1) 1 line-move nil] 5 "\n\n(fn)"])
  next-line(1 1)
  call-interactively(next-line nil nil)
  command-execute(next-line)


This happens during scrolling when point should switch from the first
small image to the following text line containing "*** 1 ***". The
second large image is already visible at the bottom. I can do
screenshots or even a screencast if necessary.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 9 Jun 2013 09:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 05:28:17 2013
Received: from localhost ([127.0.0.1]:52781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ulbv2-0004rk-Pz
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2013 05:28:17 -0400
Received: from mail-wi0-f174.google.com ([209.85.212.174]:46281)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <spinuvit@HIDDEN>) id 1Ulbuw-0004r8-SL
 for 14567 <at> debbugs.gnu.org; Sun, 09 Jun 2013 05:28:11 -0400
Received: by mail-wi0-f174.google.com with SMTP id k10so2261484wiv.13
 for <14567 <at> debbugs.gnu.org>; Sun, 09 Jun 2013 02:27:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:organization:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=KePAQRrduy3CsHqSaJigDkGpZrzn1+XNMUHsVdMR5Tk=;
 b=akSFKRFWyJFCdBbZf4XhOTYU/KD82ZOQG3eTdpY3scUumYsi6RS53KjmWZyezV9oe4
 ZjHtoiYrOZ6BysYSp4MQZZlgsIaAi6CDBDzQFwgBsCJf4g2ImPb7B6UsU7Wnncln7Rqu
 U8jSXHDTGgJPI70SkhLq45ZGEs3ghJHqE83wIS0KfEffLFAajbPXPotd5hVyEilEl011
 8yYaVBXZhRwTVIOzDz9W/i0e24AAZbYZOQ1DnWU+j5zaJLk0gE5eOXXOBb1sznAUYbii
 NtgB0QwW5x0fMkJM0zZQqZvp7i0jZMxUTtHfnix2tsMTpTLHQI73r4xd8I9d/oTgW3Ye
 LzrA==
X-Received: by 10.180.72.48 with SMTP id a16mr2328503wiv.32.1370770078571;
 Sun, 09 Jun 2013 02:27:58 -0700 (PDT)
Received: from localhost (dhcp-077-249-018-128.chello.nl. [77.249.18.128])
 by mx.google.com with ESMTPSA id e5sm5266429wiy.5.2013.06.09.02.27.57
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 09 Jun 2013 02:27:57 -0700 (PDT)
From: Vitalie Spinu <spinuvit@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
Organization: EUR
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
 <83ehccromw.fsf@HIDDEN>
Date: Sun, 09 Jun 2013 11:27:56 +0200
In-Reply-To: <83ehccromw.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 09 Jun
 2013 05:42:15 +0300")
Message-ID: <87zjuzocpv.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: Thomas Wiecki <thomas.wiecki@HIDDEN>, 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Somehow related to this issue. Is there a way to resize the image in
place to fit into window?

I always struggle with big images in gnus and the only way I can deal
with it is to open in external application.

Thanks, 
    Vitalie

 >> Eli Zaretskii <eliz@HIDDEN>
 >> on Sun, 09 Jun 2013 05:42:15 +0300 wrote:

 >> From: Thomas Wiecki <thomas.wiecki@HIDDEN>
 >> Date: Sat, 8 Jun 2013 17:39:27 -0400
 >> Cc: 14567 <at> debbugs.gnu.org
 >> 
 >> OK, it must have been something in my config file. If I launch emacs -Q I
 >> can't reproduce the behavior and scrolling seems to work just fine (any
 >> idea? Could be any package I suppose..).

 > Try bisecting your .emacs.

 >> I can't really reproduce the line-move error either in this mode. It
 >> does show up occasionally but I haven't figured out how to
 >> explicitly trigger it thus far.

 > I'll try reproducing it here.

 >> What I have figured out however, is that scrolling using page up/down still
 >> produces funky behavior. To reproduce set cursor at end of buffer, press
 >> page-up, buffer jumps to beginning rather than scrolling over image. Press
 >> page-down several times, cursor gets stuck after first page-down scroll.

 > I will look into cursor being stuck, but other than that, moving by
 > screen-fulls was not supposed to be affected by the change, because
 > it's not clear what exactly is a "page" in that case.  Only scrolling
 > with C-n/C-p or up/down arrow key was supposed to be affected.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 9 Jun 2013 02:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 22:44:05 2013
Received: from localhost ([127.0.0.1]:52424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlVbs-0003jL-Rn
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 22:44:05 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:62674)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UlVbm-0003iq-79
 for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 22:43:58 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MO300D00U0DV000@HIDDEN> for 14567 <at> debbugs.gnu.org;
 Sun, 09 Jun 2013 05:42:26 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MO300DAGU6QVW00@HIDDEN>;
 Sun, 09 Jun 2013 05:42:26 +0300 (IDT)
Date: Sun, 09 Jun 2013 05:42:15 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thomas Wiecki <thomas.wiecki@HIDDEN>
Message-id: <83ehccromw.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
 <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> Date: Sat, 8 Jun 2013 17:39:27 -0400
> Cc: 14567 <at> debbugs.gnu.org
> 
> OK, it must have been something in my config file. If I launch emacs -Q I
> can't reproduce the behavior and scrolling seems to work just fine (any
> idea? Could be any package I suppose..).

Try bisecting your .emacs.

> I can't really reproduce the line-move error either in this mode. It
> does show up occasionally but I haven't figured out how to
> explicitly trigger it thus far.

I'll try reproducing it here.

> What I have figured out however, is that scrolling using page up/down still
> produces funky behavior. To reproduce set cursor at end of buffer, press
> page-up, buffer jumps to beginning rather than scrolling over image. Press
> page-down several times, cursor gets stuck after first page-down scroll.

I will look into cursor being stuck, but other than that, moving by
screen-fulls was not supposed to be affected by the change, because
it's not clear what exactly is a "page" in that case.  Only scrolling
with C-n/C-p or up/down arrow key was supposed to be affected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jun 2013 21:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 17:40:31 2013
Received: from localhost ([127.0.0.1]:59057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlQs7-0004y6-Ra
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 17:40:31 -0400
Received: from mail-la0-f47.google.com ([209.85.215.47]:38735)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thomas.wiecki@HIDDEN>) id 1UlQs2-0004xa-2q
 for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 17:40:26 -0400
Received: by mail-la0-f47.google.com with SMTP id fe20so4674847lab.20
 for <14567 <at> debbugs.gnu.org>; Sat, 08 Jun 2013 14:40:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=iboeqihZkzQcJCjxd4D21XZLgGZUyT/QIoGro6hY2Bc=;
 b=XHubCAd33brarib+Qm5tsHju9nV0aKQcq0ehWtFruR0yNSIHdXCkkoEFh4mLucP04v
 MzSugIeIhVjzRr1cQFqJ8Sg+KeXw/9DehRcEt5oJnhwfSjsUf3iluIs968nBe4DesWdv
 gTkgD7lpKZnZxIQ1vSUBFd/dFJ3boDFjhELWuguqq+rxHy8cmPMf2yxg8B1lX6XvAkKm
 zDgWhbF0R/45kfA1Yu8P7oF2K9ioQdo/e3WnPODAexUSMJ016CrIcllvYVqudv3cQwMp
 tvF0WSWnFLNaHttQs39wluu2aeHTAU4kCqB5XIhNwJPJh86tcm6TqrcMS/3KN0fjPifp
 uF3g==
X-Received: by 10.112.138.230 with SMTP id qt6mr3703376lbb.34.1370727607977;
 Sat, 08 Jun 2013 14:40:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.112.80.69 with HTTP; Sat, 8 Jun 2013 14:39:27 -0700 (PDT)
In-Reply-To: <83k3m4sar0.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
 <83ppvzur6i.fsf@HIDDEN>
 <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
 <83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
 <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
 <83obbgsg33.fsf@HIDDEN>
 <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
 <83k3m4sar0.fsf@HIDDEN>
From: Thomas Wiecki <thomas.wiecki@HIDDEN>
Date: Sat, 8 Jun 2013 17:39:27 -0400
Message-ID: <CAPcXcF0LUg83F3Py_WL-2ZKMvjikLfV5m_TA_TKAG5PHJ1k7Jg@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e0112c742284ca004deab647f
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e0112c742284ca004deab647f
Content-Type: text/plain; charset=UTF-8

OK, it must have been something in my config file. If I launch emacs -Q I
can't reproduce the behavior and scrolling seems to work just fine (any
idea? Could be any package I suppose..). I can't really reproduce the
line-move error either in this mode. It does show up occasionally but I
haven't figured out how to explicitly trigger it thus far.

What I have figured out however, is that scrolling using page up/down still
produces funky behavior. To reproduce set cursor at end of buffer, press
page-up, buffer jumps to beginning rather than scrolling over image. Press
page-down several times, cursor gets stuck after first page-down scroll.


On Sat, Jun 8, 2013 at 2:44 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> > Date: Sat, 8 Jun 2013 13:51:33 -0400
> > Cc: 14567 <at> debbugs.gnu.org
> >
> > OK, I got the patch to apply, compiled and installed.
> >
> > Unfortunately, I still get the scrolling behavior on the test case I
> > provided. In addition I now often see
> > "line-move: Wrong type argument: number-or-marker-p, nil" when wanting to
> > scroll around from certain positions.
> >
> > Any ideas on what I might be doing wrong?
>
> Did you make sure simple.el is byte-compiled and Emacs is re-dumped
> afterwards?
>
> If you made a full build, then please give a precise recipe for
> reproducing these error messages, and I will look into it.
>

--089e0112c742284ca004deab647f
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">OK, it must have been something in my config file. If I la=
unch emacs -Q I can&#39;t reproduce the behavior and scrolling seems to wor=
k just fine (any idea? Could be any package I suppose..). I can&#39;t reall=
y reproduce the line-move error either in this mode. It does show up occasi=
onally but I haven&#39;t figured out how to explicitly trigger it thus far.=
<div>

<br></div><div>What I have figured out however, is that scrolling using pag=
e up/down still produces funky behavior. To reproduce set cursor at end of =
buffer, press page-up, buffer jumps to beginning rather than scrolling over=
 image. Press page-down several times, cursor gets stuck after first page-d=
own scroll.</div>

</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Sat,=
 Jun 8, 2013 at 2:44 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mai=
lto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><=
blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px=
 #ccc solid;padding-left:1ex">

&gt; From: Thomas Wiecki &lt;<a href=3D"mailto:thomas.wiecki@HIDDEN">tho=
mas.wiecki@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 8 Jun 2013 13:51:33 -0400<br>
&gt; Cc: <a href=3D"mailto:14567 <at> debbugs.gnu.org">14567 <at> debbugs.gnu.org</a>=
<br>
<div class=3D"im">&gt;<br>
&gt; OK, I got the patch to apply, compiled and installed.<br>
&gt;<br>
&gt; Unfortunately, I still get the scrolling behavior on the test case I<b=
r>
&gt; provided. In addition I now often see<br>
&gt; &quot;line-move: Wrong type argument: number-or-marker-p, nil&quot; wh=
en wanting to<br>
&gt; scroll around from certain positions.<br>
&gt;<br>
&gt; Any ideas on what I might be doing wrong?<br>
<br>
</div>Did you make sure simple.el is byte-compiled and Emacs is re-dumped<b=
r>
afterwards?<br>
<br>
If you made a full build, then please give a precise recipe for<br>
reproducing these error messages, and I will look into it.<br>
</blockquote></div><br></div>

--089e0112c742284ca004deab647f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jun 2013 18:45:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 14:45:08 2013
Received: from localhost ([127.0.0.1]:58789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlO8S-0003dr-5E
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 14:45:08 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:49976)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UlO8O-0003cq-PX
	for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 14:45:05 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MO300N007YK2600@HIDDEN> for
	14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 21:44:51 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MO300NG182M2B00@HIDDEN>;
	Sat, 08 Jun 2013 21:44:47 +0300 (IDT)
Date: Sat, 08 Jun 2013 21:44:35 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thomas Wiecki <thomas.wiecki@HIDDEN>
Message-id: <83k3m4sar0.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
	<CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
	<83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
	<CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
	<83obbgsg33.fsf@HIDDEN>
	<CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> Date: Sat, 8 Jun 2013 13:51:33 -0400
> Cc: 14567 <at> debbugs.gnu.org
> 
> OK, I got the patch to apply, compiled and installed.
> 
> Unfortunately, I still get the scrolling behavior on the test case I
> provided. In addition I now often see
> "line-move: Wrong type argument: number-or-marker-p, nil" when wanting to
> scroll around from certain positions.
> 
> Any ideas on what I might be doing wrong?

Did you make sure simple.el is byte-compiled and Emacs is re-dumped
afterwards?

If you made a full build, then please give a precise recipe for
reproducing these error messages, and I will look into it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jun 2013 17:52:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 13:52:29 2013
Received: from localhost ([127.0.0.1]:58692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlNJV-0000in-5H
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 13:52:29 -0400
Received: from mail-lb0-f180.google.com ([209.85.217.180]:56626)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UlNJT-0000iP-DN
	for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 13:52:28 -0400
Received: by mail-lb0-f180.google.com with SMTP id o10so2820331lbi.39
	for <14567 <at> debbugs.gnu.org>; Sat, 08 Jun 2013 10:52:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=X+fSWPQx9avW4xi0cH/CaHv4W5EqhB6H4joJyGkBWIU=;
	b=QH89HVaL0x3Op6OgykSgZ0E5Kso4tdIKf59nAYpG+BsqmPM3H+qRvY86imgh37vBZh
	iHnXpjcQI1H94DzqUb4I84RrMs57UENNpErj7LK+foPeszb3M4oUW+7oxNCPSmjvR0LH
	9KJIXbd85PqkQh9/ebG4L4J4rC80gbCX8bBqbPnxsUDJdiPKmPj1kqIgWjB/4ZVRBuJZ
	Ovda3t6jviIU2rvyICFPe00u/qUgr6NweG541WX6dv/+xCffXmCsHAd90EN844Z3rh5X
	Odewm0+Ji4CecP5jNUMAUJtX+AXYORG4jpR/BDUlSb2HiDQSqvuAwTb6wFdLEVxab+wB
	YyWQ==
X-Received: by 10.152.121.106 with SMTP id lj10mr1643462lab.27.1370713933736; 
	Sat, 08 Jun 2013 10:52:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.112.80.69 with HTTP; Sat, 8 Jun 2013 10:51:33 -0700 (PDT)
In-Reply-To: <83obbgsg33.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
	<CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
	<83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
	<CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
	<83obbgsg33.fsf@HIDDEN>
From: Thomas Wiecki <thomas.wiecki@HIDDEN>
Date: Sat, 8 Jun 2013 13:51:33 -0400
Message-ID: <CAPcXcF3-KRA-UKtv8Y9kBg=EsVC98E1KAE2DSBOQevdqd1fn+Q@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e01227af61bf1fc04dea835f5
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--089e01227af61bf1fc04dea835f5
Content-Type: text/plain; charset=UTF-8

OK, I got the patch to apply, compiled and installed.

Unfortunately, I still get the scrolling behavior on the test case I
provided. In addition I now often see
"line-move: Wrong type argument: number-or-marker-p, nil" when wanting to
scroll around from certain positions.

Any ideas on what I might be doing wrong?


On Sat, Jun 8, 2013 at 12:49 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> > Date: Sat, 8 Jun 2013 11:52:39 -0400
> > Cc: 14567 <at> debbugs.gnu.org
> >
> > Thanks! Which branch is this based off of?
>
> The trunk, of course.
>
> > I tried it on bzr trunk (bzr://
> > bzr.savannah.gnu.org/emacs/trunk) but got:
> > patching file lisp/simple.el
> > Hunk #1 FAILED at 4738.
> > Hunk #2 FAILED at 4761.
> > Hunk #3 FAILED at 4808.
> > 3 out of 3 hunks FAILED -- saving rejects to file lisp/simple.el.rej
>
> I don't know why, perhaps your mailer did something wicked to the
> patch.  I just tried to apply the patch I sent, and it applied
> cleanly.
>

--089e01227af61bf1fc04dea835f5
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">OK, I got the patch to apply, compiled and installed.<div>=
<br></div><div>Unfortunately, I still get the scrolling behavior on the tes=
t case I provided. In addition I now often see</div><div>&quot;line-move: W=
rong type argument: number-or-marker-p, nil&quot; when wanting to scroll ar=
ound from certain positions.</div>

<div><br></div><div>Any ideas on what I might be doing wrong?</div></div><d=
iv class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Sat, Jun 8, =
2013 at 12:49 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eli=
z@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: Thomas Wiecki &lt;<a href=3D"mail=
to:thomas.wiecki@HIDDEN">thomas.wiecki@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 8 Jun 2013 11:52:39 -0400<br>
&gt; Cc: <a href=3D"mailto:14567 <at> debbugs.gnu.org">14567 <at> debbugs.gnu.org</a>=
<br>
<div class=3D"im">&gt;<br>
&gt; Thanks! Which branch is this based off of?<br>
<br>
</div>The trunk, of course.<br>
<div class=3D"im"><br>
&gt; I tried it on bzr trunk (bzr://<br>
</div>&gt; <a href=3D"http://bzr.savannah.gnu.org/emacs/trunk" target=3D"_b=
lank">bzr.savannah.gnu.org/emacs/trunk</a>) but got:<br>
<div class=3D"im">&gt; patching file lisp/simple.el<br>
&gt; Hunk #1 FAILED at 4738.<br>
&gt; Hunk #2 FAILED at 4761.<br>
&gt; Hunk #3 FAILED at 4808.<br>
&gt; 3 out of 3 hunks FAILED -- saving rejects to file lisp/simple.el.rej<b=
r>
<br>
</div>I don&#39;t know why, perhaps your mailer did something wicked to the=
<br>
patch. =C2=A0I just tried to apply the patch I sent, and it applied<br>
cleanly.<br>
</blockquote></div><br></div>

--089e01227af61bf1fc04dea835f5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jun 2013 16:49:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 12:49:47 2013
Received: from localhost ([127.0.0.1]:58607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlMKp-0006dz-8B
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 12:49:47 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:41192)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UlMKn-0006dl-Gw
	for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 12:49:45 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MO300M002J4GB00@HIDDEN> for
	14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 19:49:32 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MO300M3O2QKFA30@HIDDEN>;
	Sat, 08 Jun 2013 19:49:32 +0300 (IDT)
Date: Sat, 08 Jun 2013 19:49:20 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thomas Wiecki <thomas.wiecki@HIDDEN>
Message-id: <83obbgsg33.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
	<CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
	<83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
	<CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> Date: Sat, 8 Jun 2013 11:52:39 -0400
> Cc: 14567 <at> debbugs.gnu.org
> 
> Thanks! Which branch is this based off of?

The trunk, of course.

> I tried it on bzr trunk (bzr://
> bzr.savannah.gnu.org/emacs/trunk) but got:
> patching file lisp/simple.el
> Hunk #1 FAILED at 4738.
> Hunk #2 FAILED at 4761.
> Hunk #3 FAILED at 4808.
> 3 out of 3 hunks FAILED -- saving rejects to file lisp/simple.el.rej

I don't know why, perhaps your mailer did something wicked to the
patch.  I just tried to apply the patch I sent, and it applied
cleanly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jun 2013 15:53:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 11:53:40 2013
Received: from localhost ([127.0.0.1]:58544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlLSU-0004KH-S4
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 11:53:39 -0400
Received: from mail-la0-f47.google.com ([209.85.215.47]:62613)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UlLSP-0004Jt-Gc
	for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 11:53:36 -0400
Received: by mail-la0-f47.google.com with SMTP id fe20so4556048lab.20
	for <14567 <at> debbugs.gnu.org>; Sat, 08 Jun 2013 08:53:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=V3y11Is4jabRvjbvHKCOCZq2jmDPaagfmsgzZhAz0Tk=;
	b=DrOv93Sg75IT8BuV+nNDi4aBzmZ6PjYChfod4GCL21XZFHB9QkUC/hO+H623z+wPp9
	HQ2a4pdz7IBPQajii1rUp0YGPR5mPrFJ5KFwljM0bN2aZjecFCXsh7Rh8tJV01Oj0qOi
	yyr9T9t/+aDlOOx12OnRkSwszB1/zXT9Z8Vc5N2bTUJakf2yDjJQJO9CJa37C10W8gmp
	auTsB/5kB6B8+YBSrQVWlRU3JdOXDLrQFeozYm0wFYXY76q7D9EJlPfgkagRPakM5Xz9
	I6fMzO9O+LdByPoqniph2pUHXnwWiYpsInjf7FTNAN6uMFnTOmKphDuxhdwXskrpIvfo
	Sg9Q==
X-Received: by 10.152.3.227 with SMTP id f3mr1529693laf.75.1370706800518; Sat,
	08 Jun 2013 08:53:20 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.112.80.69 with HTTP; Sat, 8 Jun 2013 08:52:39 -0700 (PDT)
In-Reply-To: <83vc5osn0r.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
	<CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
	<83obbjuov4.fsf@HIDDEN> <83vc5osn0r.fsf@HIDDEN>
From: Thomas Wiecki <thomas.wiecki@HIDDEN>
Date: Sat, 8 Jun 2013 11:52:39 -0400
Message-ID: <CAPcXcF1=CjOjbMnEOR9xru8wpDjmRixsZEfSdXnPFQ0-LR3o_A@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e013d174aefaef604dea68b73
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--089e013d174aefaef604dea68b73
Content-Type: text/plain; charset=UTF-8

Thanks! Which branch is this based off of? I tried it on bzr trunk (bzr://
bzr.savannah.gnu.org/emacs/trunk) but got:
patching file lisp/simple.el
Hunk #1 FAILED at 4738.
Hunk #2 FAILED at 4761.
Hunk #3 FAILED at 4808.
3 out of 3 hunks FAILED -- saving rejects to file lisp/simple.el.rej
patching file src/xdisp.


On Sat, Jun 8, 2013 at 10:19 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > Date: Thu, 06 Jun 2013 20:32:15 +0300
> > From: Eli Zaretskii <eliz@HIDDEN>
> > Cc: 14567 <at> debbugs.gnu.org
> >
> > > From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> > > Date: Thu, 6 Jun 2013 13:16:43 -0400
> > > Cc: 14567 <at> debbugs.gnu.org
> > >
> > > 1. Download a large image (e.g.
> > >
> http://cdn.urbanislandz.com/wp-content/uploads/2011/10/MMSposter-large.jpg
> )
> > > and save it as /tmp/test.jpg
> > > 2. In an emacs buffer type "(insert-image (create-image
> "/tmp/test.jpg"))"
> > > 3. Type some arbitrary lines of text below this line.
> > > 4. In first line (containing insert-image), type C-x C-e at end of
> line to
> > > load the image.
> > > 5. Image should appear in buffer.
> > > 6. Scroll down repeatedly until past the image.
> > >
> > > Expected behavior: Scrolls down smoothly even once scrolled past image.
> > > Observed behavior: Scrolls down smoothly until end of image is
> reached. At
> > > end of image, the next scroll causes a huge jump in the window so that
> and
> > > only the text is shown but not any of the residual image.
> > >
> > > 7. scroll back up
> > >
> > > Expected behavior: Scrolls upwards over image.
> > > Observed behavior: Jumps over complete image and shows beginning of
> buffer.
> >
> > Perfect, thanks.  I will take a look.
>
> Can you try the changes below and see if they give good results,
> including in the real-life use cases where you bumped into this?  Note
> that you will have to rebuild Emacs to try this.
>
> Thanks.
>
> === modified file 'lisp/simple.el'
> --- lisp/simple.el      2013-06-05 18:10:27 +0000
> +++ lisp/simple.el      2013-06-08 14:14:39 +0000
> @@ -4738,20 +4738,35 @@ lines."
>            (vpos (nth 1 lh))
>            (ypos (nth 2 lh))
>            (rbot (nth 3 lh))
> +          (this-lh (window-line-height))
> +          (this-height (nth 0 this-lh))
> +          (this-ypos (nth 2 this-lh))
> +          (fch (frame-char-height))
>            py vs)
>        (when (or (null lh)
> -               (>= rbot (frame-char-height))
> -               (<= ypos (- (frame-char-height))))
> +               (>= rbot fch)
> +               (<= ypos (- fch))
> +               (null this-lh)
> +               (<= this-ypos (- fch)))
>         (unless lh
>           (let ((wend (pos-visible-in-window-p t nil t)))
>             (setq rbot (nth 3 wend)
>                   vpos (nth 5 wend))))
> +       (unless this-lh
> +         (let ((wstart (pos-visible-in-window-p nil nil t)))
> +           (setq this-ypos (nth 2 wstart)
> +                 this-height (nth 4 wstart))))
>         (cond
> -        ;; If last line of window is fully visible, move forward.
> -        ((or (null rbot) (= rbot 0))
> +        ;; If last line of window is fully visible, and vscrolling
> +        ;; more would make this line invisible, move forward.
> +        ((and (or (< (setq vs (window-vscroll nil t)) fch)
> +                  (<= this-height fch))
> +              (or (null rbot) (= rbot 0)))
>           nil)
> -        ;; If cursor is not in the bottom scroll margin, move forward.
> -        ((and (> vpos 0)
> +        ;; If cursor is not in the bottom scroll margin, and the
> +        ;; current line is is not too tall, move forward.
> +        ((and (<= this-height fch)
> +              (> vpos 0)
>                (< (setq py
>                         (or (nth 1 (window-line-height))
>                             (let ((ppos (posn-at-point)))
> @@ -4761,9 +4776,10 @@ lines."
>           nil)
>          ;; When already vscrolled, we vscroll some more if we can,
>          ;; or clear vscroll and move forward at end of tall image.
> -        ((> (setq vs (window-vscroll nil t)) 0)
> -         (when (> rbot 0)
> -           (set-window-vscroll nil (+ vs (min rbot (frame-char-height)))
> t)))
> +        ((> vs 0)
> +         (when (or (> rbot 0)
> +                   (> this-height fch))
> +           (set-window-vscroll nil (+ vs fch) t)))
>          ;; If cursor just entered the bottom scroll margin, move forward,
>          ;; but also vscroll one line so redisplay won't recenter.
>          ((and (> vpos 0)
> @@ -4808,7 +4824,14 @@ lines."
>                ;; display-based motion doesn't make sense (because each
>                ;; logical line occupies exactly one screen line).
>                (not (> (window-hscroll) 0)))
> -         (line-move-visual arg noerror)
> +         (prog1 (line-move-visual arg noerror)
> +           ;; If we moved into a tall line, set vscroll to make
> +           ;; scrolling through tall images more smooth.
> +           (let ((lh (line-pixel-height)))
> +             (if (and (< arg 0)
> +                      (< (point) (window-start))
> +                      (> lh (frame-char-height)))
> +                 (set-window-vscroll nil (- lh (frame-char-height)) t))))
>         (line-move-1 arg noerror to-end)))))
>
>  ;; Display-based alternative to line-move-1.
>
> === modified file 'src/xdisp.c'
> --- src/xdisp.c 2013-06-06 16:35:31 +0000
> +++ src/xdisp.c 2013-06-08 14:02:28 +0000
> @@ -1217,6 +1217,24 @@ line_bottom_y (struct it *it)
>    return line_top_y + line_height;
>  }
>
> +DEFUN ("line-pixel-height", Fline_pixel_height,
> +       Sline_pixel_height, 0, 0, 0,
> +       doc: /* Return height in pixels of text line in the selected
> window.
> +
> +Value is the height in pixels of the line at point.  */)
> +  (void)
> +{
> +  struct it it;
> +  struct text_pos pt;
> +  struct window *w = XWINDOW (selected_window);
> +
> +  SET_TEXT_POS (pt, PT, PT_BYTE);
> +  start_display (&it, w, pt);
> +  it.vpos = it.current_y = 0;
> +  last_height = 0;
> +  return make_number (line_bottom_y (&it));
> +}
> +
>  /* Subroutine of pos_visible_p below.  Extracts a display string, if
>     any, from the display spec given as its argument.  */
>  static Lisp_Object
> @@ -28665,6 +28683,7 @@ syms_of_xdisp (void)
>    defsubr (&Stool_bar_lines_needed);
>    defsubr (&Slookup_image_map);
>  #endif
> +  defsubr (&Sline_pixel_height);
>    defsubr (&Sformat_mode_line);
>    defsubr (&Sinvisible_p);
>    defsubr (&Scurrent_bidi_paragraph_direction);
>
>

--089e013d174aefaef604dea68b73
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thanks! Which branch is this based off of? I tried it on b=
zr trunk (bzr://<a href=3D"http://bzr.savannah.gnu.org/emacs/trunk">bzr.sav=
annah.gnu.org/emacs/trunk</a>)=C2=A0but got:<div><div>patching file lisp/si=
mple.el</div>

<div>Hunk #1 FAILED at 4738.</div><div>Hunk #2 FAILED at 4761.</div><div>Hu=
nk #3 FAILED at 4808.</div><div>3 out of 3 hunks FAILED -- saving rejects t=
o file lisp/simple.el.rej</div><div>patching file src/xdisp.</div></div>

</div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">On Sat,=
 Jun 8, 2013 at 10:19 AM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"ma=
ilto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br>=
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">

&gt; Date: Thu, 06 Jun 2013 20:32:15 +0300<br>
&gt; From: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</=
a>&gt;<br>
&gt; Cc: <a href=3D"mailto:14567 <at> debbugs.gnu.org">14567 <at> debbugs.gnu.org</a>=
<br>
<div><div class=3D"h5">&gt;<br>
&gt; &gt; From: Thomas Wiecki &lt;<a href=3D"mailto:thomas.wiecki@HIDDEN=
">thomas.wiecki@HIDDEN</a>&gt;<br>
&gt; &gt; Date: Thu, 6 Jun 2013 13:16:43 -0400<br>
&gt; &gt; Cc: <a href=3D"mailto:14567 <at> debbugs.gnu.org">14567@HIDDEN=
g</a><br>
&gt; &gt;<br>
&gt; &gt; 1. Download a large image (e.g.<br>
&gt; &gt; <a href=3D"http://cdn.urbanislandz.com/wp-content/uploads/2011/10=
/MMSposter-large.jpg" target=3D"_blank">http://cdn.urbanislandz.com/wp-cont=
ent/uploads/2011/10/MMSposter-large.jpg</a>)<br>
&gt; &gt; and save it as /tmp/test.jpg<br>
&gt; &gt; 2. In an emacs buffer type &quot;(insert-image (create-image &quo=
t;/tmp/test.jpg&quot;))&quot;<br>
&gt; &gt; 3. Type some arbitrary lines of text below this line.<br>
&gt; &gt; 4. In first line (containing insert-image), type C-x C-e at end o=
f line to<br>
&gt; &gt; load the image.<br>
&gt; &gt; 5. Image should appear in buffer.<br>
&gt; &gt; 6. Scroll down repeatedly until past the image.<br>
&gt; &gt;<br>
&gt; &gt; Expected behavior: Scrolls down smoothly even once scrolled past =
image.<br>
&gt; &gt; Observed behavior: Scrolls down smoothly until end of image is re=
ached. At<br>
&gt; &gt; end of image, the next scroll causes a huge jump in the window so=
 that and<br>
&gt; &gt; only the text is shown but not any of the residual image.<br>
&gt; &gt;<br>
&gt; &gt; 7. scroll back up<br>
&gt; &gt;<br>
&gt; &gt; Expected behavior: Scrolls upwards over image.<br>
&gt; &gt; Observed behavior: Jumps over complete image and shows beginning =
of buffer.<br>
&gt;<br>
&gt; Perfect, thanks. =C2=A0I will take a look.<br>
<br>
</div></div>Can you try the changes below and see if they give good results=
,<br>
including in the real-life use cases where you bumped into this? =C2=A0Note=
<br>
that you will have to rebuild Emacs to try this.<br>
<br>
Thanks.<br>
<br>
=3D=3D=3D modified file &#39;lisp/simple.el&#39;<br>
--- lisp/simple.el =C2=A0 =C2=A0 =C2=A02013-06-05 18:10:27 +0000<br>
+++ lisp/simple.el =C2=A0 =C2=A0 =C2=A02013-06-08 14:14:39 +0000<br>
@@ -4738,20 +4738,35 @@ lines.&quot;<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(vpos (nth 1 lh))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(ypos (nth 2 lh))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(rbot (nth 3 lh))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(this-lh (window-line-height))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(this-height (nth 0 this-lh))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(this-ypos (nth 2 this-lh))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(fch (frame-char-height))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0py vs)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0(when (or (null lh)<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&gt;=3D rbot (frame-cha=
r-height))<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&lt;=3D ypos (- (frame-=
char-height))))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&gt;=3D rbot fch)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&lt;=3D ypos (- fch))<b=
r>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (null this-lh)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&lt;=3D this-ypos (- fc=
h)))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (unless lh<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (let ((wend (pos-visible-in-window-p t n=
il t)))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (setq rbot (nth 3 wend)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 vpos (nth 5 =
wend))))<br>
+ =C2=A0 =C2=A0 =C2=A0 (unless this-lh<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 (let ((wstart (pos-visible-in-window-p nil ni=
l t)))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (setq this-ypos (nth 2 wstart)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 this-height (nth =
4 wstart))))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (cond<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0;; If last line of window is fully visible, mo=
ve forward.<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0((or (null rbot) (=3D rbot 0))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0;; If last line of window is fully visible, an=
d vscrolling<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0;; more would make this line invisible, move f=
orward.<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0((and (or (&lt; (setq vs (window-vscroll nil t=
)) fch)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(&lt;=3D th=
is-height fch))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(or (null rbot) (=3D rbot=
 0)))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 nil)<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0;; If cursor is not in the bottom scroll margi=
n, move forward.<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0((and (&gt; vpos 0)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0;; If cursor is not in the bottom scroll margi=
n, and the<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0;; current line is is not too tall, move forwa=
rd.<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0((and (&lt;=3D this-height fch)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(&gt; vpos 0)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(&lt; (setq py<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 (or (nth 1 (window-line-height))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 (let ((ppos (posn-at-point)))<br>
@@ -4761,9 +4776,10 @@ lines.&quot;<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 nil)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; When already vscrolled, we vscroll som=
e more if we can,<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; or clear vscroll and move forward at e=
nd of tall image.<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0((&gt; (setq vs (window-vscroll nil t)) 0)<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0 (when (&gt; rbot 0)<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (set-window-vscroll nil (+ vs (min rbo=
t (frame-char-height))) t)))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0((&gt; vs 0)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 (when (or (&gt; rbot 0)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&gt; this=
-height fch))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (set-window-vscroll nil (+ vs fch) t))=
)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; If cursor just entered the bottom scro=
ll margin, move forward,<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; but also vscroll one line so redisplay=
 won&#39;t recenter.<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0((and (&gt; vpos 0)<br>
@@ -4808,7 +4824,14 @@ lines.&quot;<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; display-based mot=
ion doesn&#39;t make sense (because each<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0;; logical line occu=
pies exactly one screen line).<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(not (&gt; (window-h=
scroll) 0)))<br>
- =C2=A0 =C2=A0 =C2=A0 =C2=A0 (line-move-visual arg noerror)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 (prog1 (line-move-visual arg noerror)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ;; If we moved into a tall line, set v=
scroll to make<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ;; scrolling through tall images more =
smooth.<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (let ((lh (line-pixel-height)))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (if (and (&lt; arg 0)<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(&lt; (point) (window-start))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(&gt; lh (frame-char-height)))<br>
+ =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (set-window-vscro=
ll nil (- lh (frame-char-height)) t))))<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 (line-move-1 arg noerror to-end)))))<br>
<br>
=C2=A0;; Display-based alternative to line-move-1.<br>
<br>
=3D=3D=3D modified file &#39;src/xdisp.c&#39;<br>
--- src/xdisp.c 2013-06-06 16:35:31 +0000<br>
+++ src/xdisp.c 2013-06-08 14:02:28 +0000<br>
@@ -1217,6 +1217,24 @@ line_bottom_y (struct it *it)<br>
=C2=A0 =C2=A0return line_top_y + line_height;<br>
=C2=A0}<br>
<br>
+DEFUN (&quot;line-pixel-height&quot;, Fline_pixel_height,<br>
+ =C2=A0 =C2=A0 =C2=A0 Sline_pixel_height, 0, 0, 0,<br>
+ =C2=A0 =C2=A0 =C2=A0 doc: /* Return height in pixels of text line in the =
selected window.<br>
+<br>
+Value is the height in pixels of the line at point. =C2=A0*/)<br>
+ =C2=A0(void)<br>
+{<br>
+ =C2=A0struct it it;<br>
+ =C2=A0struct text_pos pt;<br>
+ =C2=A0struct window *w =3D XWINDOW (selected_window);<br>
+<br>
+ =C2=A0SET_TEXT_POS (pt, PT, PT_BYTE);<br>
+ =C2=A0start_display (&amp;it, w, pt);<br>
+ =C2=A0it.vpos =3D it.current_y =3D 0;<br>
+ =C2=A0last_height =3D 0;<br>
+ =C2=A0return make_number (line_bottom_y (&amp;it));<br>
+}<br>
+<br>
=C2=A0/* Subroutine of pos_visible_p below. =C2=A0Extracts a display string=
, if<br>
=C2=A0 =C2=A0 any, from the display spec given as its argument. =C2=A0*/<br=
>
=C2=A0static Lisp_Object<br>
@@ -28665,6 +28683,7 @@ syms_of_xdisp (void)<br>
=C2=A0 =C2=A0defsubr (&amp;Stool_bar_lines_needed);<br>
=C2=A0 =C2=A0defsubr (&amp;Slookup_image_map);<br>
=C2=A0#endif<br>
+ =C2=A0defsubr (&amp;Sline_pixel_height);<br>
=C2=A0 =C2=A0defsubr (&amp;Sformat_mode_line);<br>
=C2=A0 =C2=A0defsubr (&amp;Sinvisible_p);<br>
=C2=A0 =C2=A0defsubr (&amp;Scurrent_bidi_paragraph_direction);<br>
<br>
</blockquote></div><br></div>

--089e013d174aefaef604dea68b73--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 8 Jun 2013 14:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 08 10:20:26 2013
Received: from localhost ([127.0.0.1]:58429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UlK0H-0000Bp-CE
	for submit <at> debbugs.gnu.org; Sat, 08 Jun 2013 10:20:25 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:64324)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UlK0D-0000B8-S2
	for 14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 10:20:23 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MO200D00V2AGE00@HIDDEN> for
	14567 <at> debbugs.gnu.org; Sat, 08 Jun 2013 17:19:44 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MO200DULVSW27B0@HIDDEN>;
	Sat, 08 Jun 2013 17:19:44 +0300 (IDT)
Date: Sat, 08 Jun 2013 17:19:32 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <83obbjuov4.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: thomas.wiecki@HIDDEN
Message-id: <83vc5osn0r.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
	<CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
	<83obbjuov4.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Thu, 06 Jun 2013 20:32:15 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 14567 <at> debbugs.gnu.org
> 
> > From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> > Date: Thu, 6 Jun 2013 13:16:43 -0400
> > Cc: 14567 <at> debbugs.gnu.org
> > 
> > 1. Download a large image (e.g.
> > http://cdn.urbanislandz.com/wp-content/uploads/2011/10/MMSposter-large.jpg)
> > and save it as /tmp/test.jpg
> > 2. In an emacs buffer type "(insert-image (create-image "/tmp/test.jpg"))"
> > 3. Type some arbitrary lines of text below this line.
> > 4. In first line (containing insert-image), type C-x C-e at end of line to
> > load the image.
> > 5. Image should appear in buffer.
> > 6. Scroll down repeatedly until past the image.
> > 
> > Expected behavior: Scrolls down smoothly even once scrolled past image.
> > Observed behavior: Scrolls down smoothly until end of image is reached. At
> > end of image, the next scroll causes a huge jump in the window so that and
> > only the text is shown but not any of the residual image.
> > 
> > 7. scroll back up
> > 
> > Expected behavior: Scrolls upwards over image.
> > Observed behavior: Jumps over complete image and shows beginning of buffer.
> 
> Perfect, thanks.  I will take a look.

Can you try the changes below and see if they give good results,
including in the real-life use cases where you bumped into this?  Note
that you will have to rebuild Emacs to try this.

Thanks.

=== modified file 'lisp/simple.el'
--- lisp/simple.el	2013-06-05 18:10:27 +0000
+++ lisp/simple.el	2013-06-08 14:14:39 +0000
@@ -4738,20 +4738,35 @@ lines."
 	   (vpos (nth 1 lh))
 	   (ypos (nth 2 lh))
 	   (rbot (nth 3 lh))
+	   (this-lh (window-line-height))
+	   (this-height (nth 0 this-lh))
+	   (this-ypos (nth 2 this-lh))
+	   (fch (frame-char-height))
 	   py vs)
       (when (or (null lh)
-		(>= rbot (frame-char-height))
-		(<= ypos (- (frame-char-height))))
+		(>= rbot fch)
+		(<= ypos (- fch))
+		(null this-lh)
+		(<= this-ypos (- fch)))
 	(unless lh
 	  (let ((wend (pos-visible-in-window-p t nil t)))
 	    (setq rbot (nth 3 wend)
 		  vpos (nth 5 wend))))
+	(unless this-lh
+	  (let ((wstart (pos-visible-in-window-p nil nil t)))
+	    (setq this-ypos (nth 2 wstart)
+		  this-height (nth 4 wstart))))
 	(cond
-	 ;; If last line of window is fully visible, move forward.
-	 ((or (null rbot) (= rbot 0))
+	 ;; If last line of window is fully visible, and vscrolling
+	 ;; more would make this line invisible, move forward.
+	 ((and (or (< (setq vs (window-vscroll nil t)) fch)
+		   (<= this-height fch))
+	       (or (null rbot) (= rbot 0)))
 	  nil)
-	 ;; If cursor is not in the bottom scroll margin, move forward.
-	 ((and (> vpos 0)
+	 ;; If cursor is not in the bottom scroll margin, and the
+	 ;; current line is is not too tall, move forward.
+	 ((and (<= this-height fch)
+	       (> vpos 0)
 	       (< (setq py
 			(or (nth 1 (window-line-height))
 			    (let ((ppos (posn-at-point)))
@@ -4761,9 +4776,10 @@ lines."
 	  nil)
 	 ;; When already vscrolled, we vscroll some more if we can,
 	 ;; or clear vscroll and move forward at end of tall image.
-	 ((> (setq vs (window-vscroll nil t)) 0)
-	  (when (> rbot 0)
-	    (set-window-vscroll nil (+ vs (min rbot (frame-char-height))) t)))
+	 ((> vs 0)
+	  (when (or (> rbot 0)
+		    (> this-height fch))
+	    (set-window-vscroll nil (+ vs fch) t)))
 	 ;; If cursor just entered the bottom scroll margin, move forward,
 	 ;; but also vscroll one line so redisplay won't recenter.
 	 ((and (> vpos 0)
@@ -4808,7 +4824,14 @@ lines."
 	       ;; display-based motion doesn't make sense (because each
 	       ;; logical line occupies exactly one screen line).
 	       (not (> (window-hscroll) 0)))
-	  (line-move-visual arg noerror)
+	  (prog1 (line-move-visual arg noerror)
+	    ;; If we moved into a tall line, set vscroll to make
+	    ;; scrolling through tall images more smooth.
+	    (let ((lh (line-pixel-height)))
+	      (if (and (< arg 0)
+		       (< (point) (window-start))
+		       (> lh (frame-char-height)))
+		  (set-window-vscroll nil (- lh (frame-char-height)) t))))
 	(line-move-1 arg noerror to-end)))))
 
 ;; Display-based alternative to line-move-1.

=== modified file 'src/xdisp.c'
--- src/xdisp.c	2013-06-06 16:35:31 +0000
+++ src/xdisp.c	2013-06-08 14:02:28 +0000
@@ -1217,6 +1217,24 @@ line_bottom_y (struct it *it)
   return line_top_y + line_height;
 }
 
+DEFUN ("line-pixel-height", Fline_pixel_height,
+       Sline_pixel_height, 0, 0, 0,
+       doc: /* Return height in pixels of text line in the selected window.
+
+Value is the height in pixels of the line at point.  */)
+  (void)
+{
+  struct it it;
+  struct text_pos pt;
+  struct window *w = XWINDOW (selected_window);
+
+  SET_TEXT_POS (pt, PT, PT_BYTE);
+  start_display (&it, w, pt);
+  it.vpos = it.current_y = 0;
+  last_height = 0;
+  return make_number (line_bottom_y (&it));
+}
+
 /* Subroutine of pos_visible_p below.  Extracts a display string, if
    any, from the display spec given as its argument.  */
 static Lisp_Object
@@ -28665,6 +28683,7 @@ syms_of_xdisp (void)
   defsubr (&Stool_bar_lines_needed);
   defsubr (&Slookup_image_map);
 #endif
+  defsubr (&Sline_pixel_height);
   defsubr (&Sformat_mode_line);
   defsubr (&Sinvisible_p);
   defsubr (&Scurrent_bidi_paragraph_direction);





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jun 2013 17:34:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 06 13:34:33 2013
Received: from localhost ([127.0.0.1]:54715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uke52-0001Qv-Qv
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 13:34:33 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:38309)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1Uke4z-0001Qf-QC
	for 14567 <at> debbugs.gnu.org; Thu, 06 Jun 2013 13:34:31 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0MNZ00400F8T9V00@HIDDEN> for
	14567 <at> debbugs.gnu.org; Thu, 06 Jun 2013 20:32:12 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MNZ004WPFDN8P30@HIDDEN>;
	Thu, 06 Jun 2013 20:32:12 +0300 (IDT)
Date: Thu, 06 Jun 2013 20:32:15 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thomas Wiecki <thomas.wiecki@HIDDEN>
Message-id: <83obbjuov4.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
	<CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> Date: Thu, 6 Jun 2013 13:16:43 -0400
> Cc: 14567 <at> debbugs.gnu.org
> 
> 1. Download a large image (e.g.
> http://cdn.urbanislandz.com/wp-content/uploads/2011/10/MMSposter-large.jpg)
> and save it as /tmp/test.jpg
> 2. In an emacs buffer type "(insert-image (create-image "/tmp/test.jpg"))"
> 3. Type some arbitrary lines of text below this line.
> 4. In first line (containing insert-image), type C-x C-e at end of line to
> load the image.
> 5. Image should appear in buffer.
> 6. Scroll down repeatedly until past the image.
> 
> Expected behavior: Scrolls down smoothly even once scrolled past image.
> Observed behavior: Scrolls down smoothly until end of image is reached. At
> end of image, the next scroll causes a huge jump in the window so that and
> only the text is shown but not any of the residual image.
> 
> 7. scroll back up
> 
> Expected behavior: Scrolls upwards over image.
> Observed behavior: Jumps over complete image and shows beginning of buffer.

Perfect, thanks.  I will take a look.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jun 2013 17:19:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 06 13:19:44 2013
Received: from localhost ([127.0.0.1]:54677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ukdqh-0000qe-5B
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 13:19:43 -0400
Received: from mail-lb0-f177.google.com ([209.85.217.177]:57767)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1Ukdqe-0000qD-QB
	for 14567 <at> debbugs.gnu.org; Thu, 06 Jun 2013 13:19:42 -0400
Received: by mail-lb0-f177.google.com with SMTP id 10so2915743lbf.36
	for <14567 <at> debbugs.gnu.org>; Thu, 06 Jun 2013 10:17:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=AW3FIH/pWa7oFWDkTYLZi5a1svnyTcqdszsXfmtDpAM=;
	b=04iRyGRRmLVSuhnz8db1vFxYFZAEJwTMUSOMAutPVGuoRXh8hTYMa3Gll8R02cedF4
	gRkrC1FynvOSugibrPDXSIotZykVj6ernjdv7m+TiJ7bgpTVfVfwzaZwA7XMgj00GilF
	jsV3oJ30jZ8ir2dLPj/FtykYaLP475cj9nT+Vp34O7KUY+PJp5Zoeaksa6a/6ZUiRIcI
	rgzvSou9L/52OqgqnBaj6ZdRH1u1blDTGHPmdvlQ75SOf+AhKxHPUsj1BOEkR1kmveM0
	JLixMG+0Jvi/awffeBp6/l/PAhppWXE6JHVs5Eyf4/adUTcuQUWHxHp8/ZubCutVX+24
	ycxQ==
X-Received: by 10.152.87.227 with SMTP id bb3mr13576837lab.51.1370539044083;
	Thu, 06 Jun 2013 10:17:24 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.112.80.69 with HTTP; Thu, 6 Jun 2013 10:16:43 -0700 (PDT)
In-Reply-To: <83ppvzur6i.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
	<83ppvzur6i.fsf@HIDDEN>
From: Thomas Wiecki <thomas.wiecki@HIDDEN>
Date: Thu, 6 Jun 2013 13:16:43 -0400
Message-ID: <CAPcXcF0V+=3StKeuRa45w+iGT3PUX5z-s5GqnqYG6vMvX4-JzQ@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c2ae9cdfa02604de7f7cc0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

--001a11c2ae9cdfa02604de7f7cc0
Content-Type: text/plain; charset=UTF-8

1. Download a large image (e.g.
http://cdn.urbanislandz.com/wp-content/uploads/2011/10/MMSposter-large.jpg)
and save it as /tmp/test.jpg
2. In an emacs buffer type "(insert-image (create-image "/tmp/test.jpg"))"
3. Type some arbitrary lines of text below this line.
4. In first line (containing insert-image), type C-x C-e at end of line to
load the image.
5. Image should appear in buffer.
6. Scroll down repeatedly until past the image.

Expected behavior: Scrolls down smoothly even once scrolled past image.
Observed behavior: Scrolls down smoothly until end of image is reached. At
end of image, the next scroll causes a huge jump in the window so that and
only the text is shown but not any of the residual image.

7. scroll back up

Expected behavior: Scrolls upwards over image.
Observed behavior: Jumps over complete image and shows beginning of buffer.

Please let me know if there is anything else you need.

Thanks,
Thomas



On Thu, Jun 6, 2013 at 12:42 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> > Date: Thu, 6 Jun 2013 08:17:02 -0400
> >
> > The scrolling behavior of emacs when there are large images (larger than
> > the window height) in the buffer seems to broken. Specifically, down-ward
> > scrolling makes a huge jump over the image as the image is about to move
> > outside of the current view (it seems the image is treated as a single
> > line).
> >
> > image-mode is not applicable as there is text intermixed with images.
> >
> > This behavior and its implications are also discussed here:
> > https://github.com/tkf/emacs-ipython-notebook/issues/94
> > and here:
> > http://www.randomsample.de/dru5/node/25
> >
> > "slice-images" is a work-around solution but far from ideal.
> >
> > Any chance this could get fixed?
>
> Any chance to get a simple reproducible recipe, complete with images,
> which I could use to look into the problem locally?
>
> Thanks.
>

--001a11c2ae9cdfa02604de7f7cc0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">1. Download a large image (e.g.=C2=A0<a href=3D"http://cdn=
.urbanislandz.com/wp-content/uploads/2011/10/MMSposter-large.jpg">http://cd=
n.urbanislandz.com/wp-content/uploads/2011/10/MMSposter-large.jpg</a>) and =
save it as /tmp/test.jpg<div>

2. In an emacs buffer type &quot;(insert-image (create-image &quot;/tmp/tes=
t.jpg&quot;))&quot;</div><div>3. Type some arbitrary lines of text below th=
is line.</div><div>4. In first line (containing insert-image), type C-x C-e=
 at end of line to load the image.</div>

<div>5. Image should appear in buffer.</div><div>6. Scroll down repeatedly =
until past the image.</div><div><br></div><div>Expected behavior: Scrolls d=
own smoothly even once scrolled past image.</div><div>Observed behavior: Sc=
rolls down smoothly until end of image is reached. At end of image, the nex=
t scroll causes a huge jump in the window so that and only the text is show=
n but not any of the residual image.</div>

<div><br></div><div>7. scroll back up</div><div><br></div><div>Expected beh=
avior: Scrolls upwards over image.</div><div>Observed behavior: Jumps over =
complete image and shows beginning of buffer.</div><div><br></div><div>

Please let me know if there is anything else you need.</div><div><br></div>=
<div>Thanks,</div><div>Thomas</div><div><br></div></div><div class=3D"gmail=
_extra"><br><br><div class=3D"gmail_quote">On Thu, Jun 6, 2013 at 12:42 PM,=
 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=
=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: Thomas Wiecki &lt;<a href=3D"mail=
to:thomas.wiecki@HIDDEN">thomas.wiecki@HIDDEN</a>&gt;<br>
&gt; Date: Thu, 6 Jun 2013 08:17:02 -0400<br>
&gt;<br>
&gt; The scrolling behavior of emacs when there are large images (larger th=
an<br>
&gt; the window height) in the buffer seems to broken. Specifically, down-w=
ard<br>
&gt; scrolling makes a huge jump over the image as the image is about to mo=
ve<br>
&gt; outside of the current view (it seems the image is treated as a single=
<br>
&gt; line).<br>
&gt;<br>
&gt; image-mode is not applicable as there is text intermixed with images.<=
br>
&gt;<br>
&gt; This behavior and its implications are also discussed here:<br>
&gt; <a href=3D"https://github.com/tkf/emacs-ipython-notebook/issues/94" ta=
rget=3D"_blank">https://github.com/tkf/emacs-ipython-notebook/issues/94</a>=
<br>
&gt; and here:<br>
&gt; <a href=3D"http://www.randomsample.de/dru5/node/25" target=3D"_blank">=
http://www.randomsample.de/dru5/node/25</a><br>
&gt;<br>
&gt; &quot;slice-images&quot; is a work-around solution but far from ideal.=
<br>
&gt;<br>
&gt; Any chance this could get fixed?<br>
<br>
Any chance to get a simple reproducible recipe, complete with images,<br>
which I could use to look into the problem locally?<br>
<br>
Thanks.<br>
</blockquote></div><br></div>

--001a11c2ae9cdfa02604de7f7cc0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at 14567 <at> debbugs.gnu.org:


Received: (at 14567) by debbugs.gnu.org; 6 Jun 2013 16:44:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 06 12:44:52 2013
Received: from localhost ([127.0.0.1]:54626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UkdIu-00084n-CK
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 12:44:52 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:48303)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UkdIp-00084K-1C
	for 14567 <at> debbugs.gnu.org; Thu, 06 Jun 2013 12:44:47 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MNZ00800CXC3500@HIDDEN> for
	14567 <at> debbugs.gnu.org; Thu, 06 Jun 2013 19:42:10 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MNZ00862D2A0530@HIDDEN>;
	Thu, 06 Jun 2013 19:42:10 +0300 (IDT)
Date: Thu, 06 Jun 2013 19:42:13 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14567: Scrolling of large images
In-reply-to: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thomas Wiecki <thomas.wiecki@HIDDEN>
Message-id: <83ppvzur6i.fsf@HIDDEN>
References: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 14567
Cc: 14567 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Thomas Wiecki <thomas.wiecki@HIDDEN>
> Date: Thu, 6 Jun 2013 08:17:02 -0400
> 
> The scrolling behavior of emacs when there are large images (larger than
> the window height) in the buffer seems to broken. Specifically, down-ward
> scrolling makes a huge jump over the image as the image is about to move
> outside of the current view (it seems the image is treated as a single
> line).
> 
> image-mode is not applicable as there is text intermixed with images.
> 
> This behavior and its implications are also discussed here:
> https://github.com/tkf/emacs-ipython-notebook/issues/94
> and here:
> http://www.randomsample.de/dru5/node/25
> 
> "slice-images" is a work-around solution but far from ideal.
> 
> Any chance this could get fixed?

Any chance to get a simple reproducible recipe, complete with images,
which I could use to look into the problem locally?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jun 2013 16:32:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 06 12:32:40 2013
Received: from localhost ([127.0.0.1]:54581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ukd75-0007XI-1Y
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 12:32:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45155)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UkZB0-0004HC-69
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 08:20:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UkZ8h-0007Sa-7a
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 08:18:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34636)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UkZ8h-0007SW-3W
	for submit <at> debbugs.gnu.org; Thu, 06 Jun 2013 08:17:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46776)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UkZ8a-0008IA-BH
	for bug-gnu-emacs@HIDDEN; Thu, 06 Jun 2013 08:17:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UkZ8S-0007LZ-K3
	for bug-gnu-emacs@HIDDEN; Thu, 06 Jun 2013 08:17:52 -0400
Received: from mail-la0-x234.google.com ([2a00:1450:4010:c03::234]:50753)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <thomas.wiecki@HIDDEN>) id 1UkZ8S-0007LG-Cw
	for bug-gnu-emacs@HIDDEN; Thu, 06 Jun 2013 08:17:44 -0400
Received: by mail-la0-f52.google.com with SMTP id fo12so615024lab.11
	for <bug-gnu-emacs@HIDDEN>; Thu, 06 Jun 2013 05:17:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:from:date:message-id:subject:to:content-type;
	bh=VTrQx2qaMc5qeOXgXIbLSlfINeTDAelILJl3OuPwFQY=;
	b=QjMwn55NowTrKP2D8pvnJLlmryIuT1l6V0zXZjmqaFmWMV9NGmfQLC6RtWeGQLyVEN
	kX38I3FWkNULK3lGfdMS+N6QspT6POZ+I6f8wqnNxvZgdcVAZpp94OFc7X3t9izQfAEL
	8PSMxIBhYtvdet2Xf3d/5jkU0KMqj30joMlpZtO79ClJ2LPoipckqoeS9OGcsIbk3wQG
	HDki3vZXWWGLLrjUTPUb5JXJ2zKoxwTTiSyKom6RunasCpm3h5lpZoqyB6uiynos0U4b
	+jbJPxsjvD+C9b8cLGdGYfFHnfbJBBrYanvmXkBVdmDCEgC4GgeMvZ9WgnxoRr/tzlS/
	tjeg==
X-Received: by 10.112.201.102 with SMTP id jz6mr13863525lbc.42.1370521062873; 
	Thu, 06 Jun 2013 05:17:42 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.112.80.69 with HTTP; Thu, 6 Jun 2013 05:17:02 -0700 (PDT)
From: Thomas Wiecki <thomas.wiecki@HIDDEN>
Date: Thu, 6 Jun 2013 08:17:02 -0400
Message-ID: <CAPcXcF0vncdwK6tp7FtnpEJRftPOWYr89HcH68g4CysQem=ZGg@HIDDEN>
Subject: Scrolling of large images
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c3686a1c23e204de7b4def
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
	(bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 06 Jun 2013 12:32:30 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--001a11c3686a1c23e204de7b4def
Content-Type: text/plain; charset=UTF-8

Hi,

The scrolling behavior of emacs when there are large images (larger than
the window height) in the buffer seems to broken. Specifically, down-ward
scrolling makes a huge jump over the image as the image is about to move
outside of the current view (it seems the image is treated as a single
line).

image-mode is not applicable as there is text intermixed with images.

This behavior and its implications are also discussed here:
https://github.com/tkf/emacs-ipython-notebook/issues/94
and here:
http://www.randomsample.de/dru5/node/25

"slice-images" is a work-around solution but far from ideal.

Any chance this could get fixed?

Thomas

--001a11c3686a1c23e204de7b4def
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<div><br></div><div>The scrolling behavior of emacs whe=
n there are large images (larger than the window height) in the buffer seem=
s to broken. Specifically, down-ward scrolling makes a huge jump over the i=
mage as the image is about to move outside of the current view (it seems th=
e image is treated as a single line).</div>

<div><br></div><div>image-mode is not applicable as there is text intermixe=
d with images.</div><div><br></div><div>This behavior and its implications =
are also discussed here:</div><div><a href=3D"https://github.com/tkf/emacs-=
ipython-notebook/issues/94">https://github.com/tkf/emacs-ipython-notebook/i=
ssues/94</a><br>

</div><div>and here:</div><div><a href=3D"http://www.randomsample.de/dru5/n=
ode/25">http://www.randomsample.de/dru5/node/25</a><br></div><div><br></div=
><div>&quot;slice-images&quot; is a work-around solution but far from ideal=
.</div>

<div><br></div><div>Any chance this could get fixed?</div><div><br></div><d=
iv>Thomas</div></div>

--001a11c3686a1c23e204de7b4def--




Acknowledgement sent to Thomas Wiecki <thomas.wiecki@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14567; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.